=== modified file 'client/drizzle.c'
--- client/drizzle.c	2008-08-03 22:27:54 +0000
+++ client/drizzle.c	2008-08-04 19:37:18 +0000
@@ -257,38 +257,38 @@
 
 
 static COMMANDS commands[] = {
-  { "?",      '?', com_help,   1, gettext_noop("Synonym for `help'.") },
-  { "clear",  'c', com_clear,  0, gettext_noop("Clear command.")},
+  { "?",      '?', com_help,   1, N_("Synonym for `help'.") },
+  { "clear",  'c', com_clear,  0, N_("Clear command.")},
   { "connect",'r', com_connect,1,
-    gettext_noop("Reconnect to the server. Optional arguments are db and host." }),
+    N_("Reconnect to the server. Optional arguments are db and host." }),
   { "delimiter", 'd', com_delimiter,    1,
-    gettext_noop("Set statement delimiter. NOTE: Takes the rest of the line as new delimiter.") },
+    N_("Set statement delimiter. NOTE: Takes the rest of the line as new delimiter.") },
   { "ego",    'G', com_ego,    0,
-    gettext_noop("Send command to drizzle server, display result vertically.")},
-  { "exit",   'q', com_quit,   0, gettext_noop("Exit drizzle. Same as quit.")},
-  { "go",     'g', com_go,     0, gettext_noop("Send command to drizzle server.") },
-  { "help",   'h', com_help,   1, gettext_noop("Display this help.") },
-  { "nopager",'n', com_nopager,0, gettext_noop("Disable pager, print to stdout.") },
-  { "notee",  't', com_notee,  0, gettext_noop("Don't write into outfile.") },
+    N_("Send command to drizzle server, display result vertically.")},
+  { "exit",   'q', com_quit,   0, N_("Exit drizzle. Same as quit.")},
+  { "go",     'g', com_go,     0, N_("Send command to drizzle server.") },
+  { "help",   'h', com_help,   1, N_("Display this help.") },
+  { "nopager",'n', com_nopager,0, N_("Disable pager, print to stdout.") },
+  { "notee",  't', com_notee,  0, N_("Don't write into outfile.") },
   { "pager",  'P', com_pager,  1,
-    gettext_noop("Set PAGER [to_pager]. Print the query results via PAGER.") },
-  { "print",  'p', com_print,  0, gettext_noop("Print current command.") },
-  { "prompt", 'R', com_prompt, 1, gettext_noop("Change your drizzle prompt.")},
-  { "quit",   'q', com_quit,   0, gettext_noop("Quit drizzle.") },
-  { "rehash", '#', com_rehash, 0, gettext_noop("Rebuild completion hash.") },
+    N_("Set PAGER [to_pager]. Print the query results via PAGER.") },
+  { "print",  'p', com_print,  0, N_("Print current command.") },
+  { "prompt", 'R', com_prompt, 1, N_("Change your drizzle prompt.")},
+  { "quit",   'q', com_quit,   0, N_("Quit drizzle.") },
+  { "rehash", '#', com_rehash, 0, N_("Rebuild completion hash.") },
   { "source", '.', com_source, 1,
-    gettext_noop("Execute an SQL script file. Takes a file name as an argument.")},
-  { "status", 's', com_status, 0, gettext_noop("Get status information from the server.")},
+    N_("Execute an SQL script file. Takes a file name as an argument.")},
+  { "status", 's', com_status, 0, N_("Get status information from the server.")},
   { "tee",    'T', com_tee,    1,
-    gettext_noop("Set outfile [to_outfile]. Append everything into given outfile.") },
+    N_("Set outfile [to_outfile]. Append everything into given outfile.") },
   { "use",    'u', com_use,    1,
-    gettext_noop("Use another database. Takes database name as argument.") },
+    N_("Use another database. Takes database name as argument.") },
   { "charset",    'C', com_charset,    1,
-    gettext_noop("Switch to another charset. Might be needed for processing binlog with multi-byte charsets.") },
+    N_("Switch to another charset. Might be needed for processing binlog with multi-byte charsets.") },
   { "warnings", 'W', com_warnings,  0,
-    gettext_noop("Show warnings after every statement.") },
+    N_("Show warnings after every statement.") },
   { "nowarning", 'w', com_nowarnings, 0,
-    gettext_noop("Don't show warnings after every statement.") },
+    N_("Don't show warnings after every statement.") },
   /* Get bash-like expansion for some commands */
   { "create table",     0, 0, 0, ""},
   { "create database",  0, 0, 0, ""},
@@ -1281,182 +1281,182 @@
 
 static struct my_option my_long_options[] =
 {
-  {"help", '?', gettext_noop("Display this help and exit."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
+  {"help", '?', N_("Display this help and exit."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
    0, 0, 0, 0, 0},
-  {"help", 'I', gettext_noop("Synonym for -?"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
+  {"help", 'I', N_("Synonym for -?"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
    0, 0, 0, 0, 0},
   {"auto-rehash", OPT_AUTO_REHASH,
-   gettext_noop("Enable automatic rehashing. One doesn't need to use 'rehash' to get table and field completion, but startup and reconnecting may take a longer time. Disable with --disable-auto-rehash."),
+   N_("Enable automatic rehashing. One doesn't need to use 'rehash' to get table and field completion, but startup and reconnecting may take a longer time. Disable with --disable-auto-rehash."),
    (char**) &opt_rehash, (char**) &opt_rehash, 0, GET_BOOL, NO_ARG, 1, 0, 0, 0,
    0, 0},
   {"no-auto-rehash", 'A',
-   gettext_noop("No automatic rehashing. One has to use 'rehash' to get table and field completion. This gives a quicker start of DRIZZLE and disables rehashing on reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."),
+   N_("No automatic rehashing. One has to use 'rehash' to get table and field completion. This gives a quicker start of DRIZZLE and disables rehashing on reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"auto-vertical-output", OPT_AUTO_VERTICAL_OUTPUT,
-   gettext_noop("Automatically switch to vertical output mode if the result is wider than the terminal width."),
+   N_("Automatically switch to vertical output mode if the result is wider than the terminal width."),
    (char**) &auto_vertical_output, (char**) &auto_vertical_output, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"batch", 'B',
-   gettext_noop("Don't use history file. Disable interactive behavior. (Enables --silent)"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
+   N_("Don't use history file. Disable interactive behavior. (Enables --silent)"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"character-sets-dir", OPT_CHARSETS_DIR,
-   gettext_noop("Directory where character sets are."), (char**) &charsets_dir,
+   N_("Directory where character sets are."), (char**) &charsets_dir,
    (char**) &charsets_dir, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"column-type-info", OPT_COLUMN_TYPES, gettext_noop("Display column type information."),
+  {"column-type-info", OPT_COLUMN_TYPES, N_("Display column type information."),
    (char**) &column_types_flag, (char**) &column_types_flag,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"comments", 'c', gettext_noop("Preserve comments. Send comments to the server. The default is --skip-comments (discard comments), enable with --comments"),
+  {"comments", 'c', N_("Preserve comments. Send comments to the server. The default is --skip-comments (discard comments), enable with --comments"),
    (char**) &preserve_comments, (char**) &preserve_comments,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"compress", 'C', gettext_noop("Use compression in server/client protocol."),
+  {"compress", 'C', N_("Use compression in server/client protocol."),
    (char**) &opt_compress, (char**) &opt_compress, 0, GET_BOOL, NO_ARG, 0, 0, 0,
    0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, gettext_noop("Check memory and open file usage at exit ."),
+  {"debug-check", OPT_DEBUG_CHECK, N_("Check memory and open file usage at exit ."),
    (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
    GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", 'T', gettext_noop("Print some debug info at exit."), (char**) &debug_info_flag,
+  {"debug-info", 'T', N_("Print some debug info at exit."), (char**) &debug_info_flag,
    (char**) &debug_info_flag, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"database", 'D', gettext_noop("Database to use."), (char**) &current_db,
+  {"database", 'D', N_("Database to use."), (char**) &current_db,
    (char**) &current_db, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"default-character-set", OPT_DEFAULT_CHARSET,
-   gettext_noop("Set the default character set."), (char**) &default_charset,
+   N_("Set the default character set."), (char**) &default_charset,
    (char**) &default_charset, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"delimiter", OPT_DELIMITER, gettext_noop("Delimiter to be used."), (char**) &delimiter_str,
+  {"delimiter", OPT_DELIMITER, N_("Delimiter to be used."), (char**) &delimiter_str,
    (char**) &delimiter_str, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"execute", 'e', gettext_noop("Execute command and quit. (Disables --force and history file)"), 0,
+  {"execute", 'e', N_("Execute command and quit. (Disables --force and history file)"), 0,
    0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"vertical", 'E', gettext_noop("Print the output of a query (rows) vertically."),
+  {"vertical", 'E', N_("Print the output of a query (rows) vertically."),
    (char**) &vertical, (char**) &vertical, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0,
    0},
-  {"force", 'f', gettext_noop("Continue even if we get an sql error."),
+  {"force", 'f', N_("Continue even if we get an sql error."),
    (char**) &ignore_errors, (char**) &ignore_errors, 0, GET_BOOL, NO_ARG, 0, 0,
    0, 0, 0, 0},
   {"named-commands", 'G',
-   gettext_noop("Enable named commands. Named commands mean this program's internal commands; see drizzle> help . When enabled, the named commands can be used from any line of the query, otherwise only from the first line, before an enter. Disable with --disable-named-commands. This option is disabled by default."),
+   N_("Enable named commands. Named commands mean this program's internal commands; see drizzle> help . When enabled, the named commands can be used from any line of the query, otherwise only from the first line, before an enter. Disable with --disable-named-commands. This option is disabled by default."),
    (char**) &named_cmds, (char**) &named_cmds, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0,
    0, 0},
   {"no-named-commands", 'g',
-   gettext_noop("Named commands are disabled. Use \\* form only, or use named commands only in the beginning of a line ending with a semicolon (;) Since version 10.9 the client now starts with this option ENABLED by default! Disable with '-G'. Long format commands still work from the first line. WARNING: option deprecated; use --disable-named-commands instead."),
+   N_("Named commands are disabled. Use \\* form only, or use named commands only in the beginning of a line ending with a semicolon (;) Since version 10.9 the client now starts with this option ENABLED by default! Disable with '-G'. Long format commands still work from the first line. WARNING: option deprecated; use --disable-named-commands instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"ignore-spaces", 'i', gettext_noop("Ignore space after function names."), 0, 0, 0,
+  {"ignore-spaces", 'i', N_("Ignore space after function names."), 0, 0, 0,
    GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"local-infile", OPT_LOCAL_INFILE, gettext_noop("Enable/disable LOAD DATA LOCAL INFILE."),
+  {"local-infile", OPT_LOCAL_INFILE, N_("Enable/disable LOAD DATA LOCAL INFILE."),
    (char**) &opt_local_infile,
    (char**) &opt_local_infile, 0, GET_BOOL, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"no-beep", 'b', gettext_noop("Turn off beep on error."), (char**) &opt_nobeep,
+  {"no-beep", 'b', N_("Turn off beep on error."), (char**) &opt_nobeep,
    (char**) &opt_nobeep, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"host", 'h', gettext_noop("Connect to host."), (char**) &current_host,
+  {"host", 'h', N_("Connect to host."), (char**) &current_host,
    (char**) &current_host, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"html", 'H', gettext_noop("Produce HTML output."), (char**) &opt_html, (char**) &opt_html,
+  {"html", 'H', N_("Produce HTML output."), (char**) &opt_html, (char**) &opt_html,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"xml", 'X', gettext_noop("Produce XML output"), (char**) &opt_xml, (char**) &opt_xml, 0,
+  {"xml", 'X', N_("Produce XML output"), (char**) &opt_xml, (char**) &opt_xml, 0,
    GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"line-numbers", OPT_LINE_NUMBERS, gettext_noop("Write line numbers for errors."),
+  {"line-numbers", OPT_LINE_NUMBERS, N_("Write line numbers for errors."),
    (char**) &line_numbers, (char**) &line_numbers, 0, GET_BOOL,
    NO_ARG, 1, 0, 0, 0, 0, 0},
-  {"skip-line-numbers", 'L', gettext_noop("Don't write line number for errors. WARNING: -L is deprecated, use long version of this option instead."), 0, 0, 0, GET_NO_ARG,
+  {"skip-line-numbers", 'L', N_("Don't write line number for errors. WARNING: -L is deprecated, use long version of this option instead."), 0, 0, 0, GET_NO_ARG,
    NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"unbuffered", 'n', gettext_noop("Flush buffer after each query."), (char**) &unbuffered,
+  {"unbuffered", 'n', N_("Flush buffer after each query."), (char**) &unbuffered,
    (char**) &unbuffered, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"column-names", OPT_COLUMN_NAMES, gettext_noop("Write column names in results."),
+  {"column-names", OPT_COLUMN_NAMES, N_("Write column names in results."),
    (char**) &column_names, (char**) &column_names, 0, GET_BOOL,
    NO_ARG, 1, 0, 0, 0, 0, 0},
   {"skip-column-names", 'N',
-   gettext_noop("Don't write column names in results. WARNING: -N is deprecated, use long version of this options instead."),
+   N_("Don't write column names in results. WARNING: -N is deprecated, use long version of this options instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"set-variable", 'O',
-   gettext_noop("Change the value of a variable. Please note that this option is deprecated; you can set variables directly with --variable-name=value."),
+   N_("Change the value of a variable. Please note that this option is deprecated; you can set variables directly with --variable-name=value."),
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"sigint-ignore", OPT_SIGINT_IGNORE, gettext_noop("Ignore SIGINT (CTRL-C)"),
+  {"sigint-ignore", OPT_SIGINT_IGNORE, N_("Ignore SIGINT (CTRL-C)"),
    (char**) &opt_sigint_ignore,  (char**) &opt_sigint_ignore, 0, GET_BOOL,
    NO_ARG, 0, 0, 0, 0, 0, 0},
   {"one-database", 'o',
-   gettext_noop("Only update the default database. This is useful for skipping updates to other database in the update log."),
+   N_("Only update the default database. This is useful for skipping updates to other database in the update log."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"pager", OPT_PAGER,
-   gettext_noop("Pager to use to display results. If you don't supply an option the default pager is taken from your ENV variable PAGER. Valid pagers are less, more, cat [> filename], etc. See interactive help (\\h) also. This option does not work in batch mode. Disable with --disable-pager. This option is disabled by default."),
+   N_("Pager to use to display results. If you don't supply an option the default pager is taken from your ENV variable PAGER. Valid pagers are less, more, cat [> filename], etc. See interactive help (\\h) also. This option does not work in batch mode. Disable with --disable-pager. This option is disabled by default."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"no-pager", OPT_NOPAGER,
-   gettext_noop("Disable pager and print to stdout. See interactive help (\\h) also. WARNING: option deprecated; use --disable-pager instead."),
+   N_("Disable pager and print to stdout. See interactive help (\\h) also. WARNING: option deprecated; use --disable-pager instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"password", 'p',
-   gettext_noop("Password to use when connecting to server. If password is not given it's asked from the tty."),
+   N_("Password to use when connecting to server. If password is not given it's asked from the tty."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"port", 'P', gettext_noop("Port number to use for connection or 0 for default to, in order of preference, my.cnf, $MYSQL_TCP_PORT, ")
+  {"port", 'P', N_("Port number to use for connection or 0 for default to, in order of preference, my.cnf, $MYSQL_TCP_PORT, ")
 #if MYSQL_PORT_DEFAULT == 0
    "/etc/services, "
 #endif
-   gettext_noop("built-in default") " (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   N_("built-in default") " (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &opt_drizzle_port,
    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,  0},
-  {"prompt", OPT_PROMPT, gettext_noop("Set the drizzle prompt to this value."),
+  {"prompt", OPT_PROMPT, N_("Set the drizzle prompt to this value."),
    (char**) &current_prompt, (char**) &current_prompt, 0, GET_STR_ALLOC,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"protocol", OPT_DRIZZLE_PROTOCOL, gettext_noop("The protocol of connection (tcp,socket,pipe,memory)."),
+  {"protocol", OPT_DRIZZLE_PROTOCOL, N_("The protocol of connection (tcp,socket,pipe,memory)."),
    0, 0, 0, GET_STR,  REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"quick", 'q',
-   gettext_noop("Don't cache result, print it row by row. This may slow down the server if the output is suspended. Doesn't use history file."),
+   N_("Don't cache result, print it row by row. This may slow down the server if the output is suspended. Doesn't use history file."),
    (char**) &quick, (char**) &quick, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"raw", 'r', gettext_noop("Write fields without conversion. Used with --batch."),
+  {"raw", 'r', N_("Write fields without conversion. Used with --batch."),
    (char**) &opt_raw_data, (char**) &opt_raw_data, 0, GET_BOOL, NO_ARG, 0, 0, 0,
    0, 0, 0},
-  {"reconnect", OPT_RECONNECT, gettext_noop("Reconnect if the connection is lost. Disable with --disable-reconnect. This option is enabled by default."),
+  {"reconnect", OPT_RECONNECT, N_("Reconnect if the connection is lost. Disable with --disable-reconnect. This option is enabled by default."),
    (char**) &opt_reconnect, (char**) &opt_reconnect, 0, GET_BOOL, NO_ARG, 1, 0, 0, 0, 0, 0},
-  {"silent", 's', gettext_noop("Be more silent. Print results with a tab as separator, each row on new line."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0,
+  {"silent", 's', N_("Be more silent. Print results with a tab as separator, each row on new line."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0,
    0, 0},
-  {"socket", 'S', gettext_noop("Socket file to use for connection."),
+  {"socket", 'S', N_("Socket file to use for connection."),
    (char**) &opt_drizzle_unix_port, (char**) &opt_drizzle_unix_port, 0, GET_STR_ALLOC,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"table", 't', gettext_noop("Output in table format."), (char**) &output_tables,
+  {"table", 't', N_("Output in table format."), (char**) &output_tables,
    (char**) &output_tables, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"tee", OPT_TEE,
-   gettext_noop("Append everything into outfile. See interactive help (\\h) also. Does not work in batch mode. Disable with --disable-tee. This option is disabled by default."),
+   N_("Append everything into outfile. See interactive help (\\h) also. Does not work in batch mode. Disable with --disable-tee. This option is disabled by default."),
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"no-tee", OPT_NOTEE, gettext_noop("Disable outfile. See interactive help (\\h) also. WARNING: option deprecated; use --disable-tee instead"), 0, 0, 0, GET_NO_ARG,
+  {"no-tee", OPT_NOTEE, N_("Disable outfile. See interactive help (\\h) also. WARNING: option deprecated; use --disable-tee instead"), 0, 0, 0, GET_NO_ARG,
    NO_ARG, 0, 0, 0, 0, 0, 0},
 #ifndef DONT_ALLOW_USER_CHANGE
-  {"user", 'u', gettext_noop("User for login if not current user."), (char**) &current_user,
+  {"user", 'u', N_("User for login if not current user."), (char**) &current_user,
    (char**) &current_user, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
 #endif
-  {"safe-updates", 'U', gettext_noop("Only allow UPDATE and DELETE that uses keys."),
-   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"i-am-a-dummy", 'U', gettext_noop("Synonym for option --safe-updates, -U."),
-   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"verbose", 'v', gettext_noop("Write more. (-v -v -v gives the table output format)."), 0,
+  {"safe-updates", 'U', N_("Only allow UPDATE and DELETE that uses keys."),
+   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
+   0, 0, 0, 0},
+  {"i-am-a-dummy", 'U', N_("Synonym for option --safe-updates, -U."),
+   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
+   0, 0, 0, 0},
+  {"verbose", 'v', N_("Write more. (-v -v -v gives the table output format)."), 0,
    0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"version", 'V', gettext_noop("Output version information and exit."), 0, 0, 0,
+  {"version", 'V', N_("Output version information and exit."), 0, 0, 0,
    GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"wait", 'w', gettext_noop("Wait and retry if connection is down."), 0, 0, 0, GET_NO_ARG,
+  {"wait", 'w', N_("Wait and retry if connection is down."), 0, 0, 0, GET_NO_ARG,
    NO_ARG, 0, 0, 0, 0, 0, 0},
   {"connect_timeout", OPT_CONNECT_TIMEOUT,
-   gettext_noop("Number of seconds before connection timeout."),
+   N_("Number of seconds before connection timeout."),
    (char**) &opt_connect_timeout,
    (char**) &opt_connect_timeout, 0, GET_ULONG, REQUIRED_ARG, 0, 0, 3600*12, 0,
    0, 0},
   {"max_allowed_packet", OPT_MAX_ALLOWED_PACKET,
-   gettext_noop("Max packet length to send to, or receive from server"),
+   N_("Max packet length to send to, or receive from server"),
    (char**) &opt_max_allowed_packet, (char**) &opt_max_allowed_packet, 0,
    GET_ULONG, REQUIRED_ARG, 16 *1024L*1024L, 4096,
    (int64_t) 2*1024L*1024L*1024L, MALLOC_OVERHEAD, 1024, 0},
   {"net_buffer_length", OPT_NET_BUFFER_LENGTH,
-   gettext_noop("Buffer for TCP/IP and socket communication"),
+   N_("Buffer for TCP/IP and socket communication"),
    (char**) &opt_net_buffer_length, (char**) &opt_net_buffer_length, 0, GET_ULONG,
    REQUIRED_ARG, 16384, 1024, 512*1024*1024L, MALLOC_OVERHEAD, 1024, 0},
   {"select_limit", OPT_SELECT_LIMIT,
-   gettext_noop("Automatic limit for SELECT when using --safe-updates"),
+   N_("Automatic limit for SELECT when using --safe-updates"),
    (char**) &select_limit,
    (char**) &select_limit, 0, GET_ULONG, REQUIRED_ARG, 1000L, 1, ULONG_MAX,
    0, 1, 0},
   {"max_join_size", OPT_MAX_JOIN_SIZE,
-   gettext_noop("Automatic limit for rows in a join when using --safe-updates"),
+   N_("Automatic limit for rows in a join when using --safe-updates"),
    (char**) &max_join_size,
    (char**) &max_join_size, 0, GET_ULONG, REQUIRED_ARG, 1000000L, 1, ULONG_MAX,
    0, 1, 0},
-  {"secure-auth", OPT_SECURE_AUTH, gettext_noop("Refuse client connecting to server if it uses old (pre-4.1.1) protocol"), (char**) &opt_secure_auth,
+  {"secure-auth", OPT_SECURE_AUTH, N_("Refuse client connecting to server if it uses old (pre-4.1.1) protocol"), (char**) &opt_secure_auth,
    (char**) &opt_secure_auth, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"server-arg", OPT_SERVER_ARG, gettext_noop("Send embedded server this as a parameter."),
+  {"server-arg", OPT_SERVER_ARG, N_("Send embedded server this as a parameter."),
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"show-warnings", OPT_SHOW_WARNINGS, gettext_noop("Show warnings after every statement."),
+  {"show-warnings", OPT_SHOW_WARNINGS, N_("Show warnings after every statement."),
    (char**) &show_warnings, (char**) &show_warnings, 0, GET_BOOL, NO_ARG,
    0, 0, 0, 0, 0, 0},
   { 0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}

=== modified file 'drizzled/drizzled_error_messages.h'
--- drizzled/drizzled_error_messages.h	2008-08-02 00:27:36 +0000
+++ drizzled/drizzled_error_messages.h	2008-08-04 19:37:18 +0000
@@ -29,1351 +29,1351 @@
 static const char *drizzled_error_messages[]=
 {
 /* ER_HASHCHK   */
-gettext_noop("hashchk"),
+N_("hashchk"),
 /* ER_NISAMCHK   */
-gettext_noop("isamchk"),
+N_("isamchk"),
 /* ER_NO   */
-gettext_noop("NO"),
+N_("NO"),
 /* ER_YES   */
-gettext_noop("YES"),
+N_("YES"),
 /* ER_CANT_CREATE_FILE   */
-gettext_noop("Can't create file '%-.200s' (errno: %d)"),
+N_("Can't create file '%-.200s' (errno: %d)"),
 /* ER_CANT_CREATE_TABLE   */
-gettext_noop("Can't create table '%-.200s' (errno: %d)"),
+N_("Can't create table '%-.200s' (errno: %d)"),
 /* ER_CANT_CREATE_DB   */
-gettext_noop("Can't create database '%-.192s' (errno: %d)"),
+N_("Can't create database '%-.192s' (errno: %d)"),
 /* ER_DB_CREATE_EXISTS   */
-gettext_noop("Can't create database '%-.192s'; database exists"),
+N_("Can't create database '%-.192s'; database exists"),
 /* ER_DB_DROP_EXISTS   */
-gettext_noop("Can't drop database '%-.192s'; database doesn't exist"),
+N_("Can't drop database '%-.192s'; database doesn't exist"),
 /* ER_DB_DROP_DELETE   */
-gettext_noop("Error dropping database (can't delete '%-.192s', errno: %d)"),
+N_("Error dropping database (can't delete '%-.192s', errno: %d)"),
 /* ER_DB_DROP_RMDIR   */
-gettext_noop("Error dropping database (can't rmdir '%-.192s', errno: %d)"),
+N_("Error dropping database (can't rmdir '%-.192s', errno: %d)"),
 /* ER_CANT_DELETE_FILE   */
-gettext_noop("Error on delete of '%-.192s' (errno: %d)"),
+N_("Error on delete of '%-.192s' (errno: %d)"),
 /* ER_CANT_FIND_SYSTEM_REC   */
-gettext_noop("Can't read record in system table"),
+N_("Can't read record in system table"),
 /* ER_CANT_GET_STAT   */
-gettext_noop("Can't get status of '%-.200s' (errno: %d)"),
+N_("Can't get status of '%-.200s' (errno: %d)"),
 /* ER_CANT_GET_WD   */
-gettext_noop("Can't get working directory (errno: %d)"),
+N_("Can't get working directory (errno: %d)"),
 /* ER_CANT_LOCK   */
-gettext_noop("Can't lock file (errno: %d)"),
+N_("Can't lock file (errno: %d)"),
 /* ER_CANT_OPEN_FILE   */
-gettext_noop("Can't open file: '%-.200s' (errno: %d)"),
+N_("Can't open file: '%-.200s' (errno: %d)"),
 /* ER_FILE_NOT_FOUND   */
-gettext_noop("Can't find file: '%-.200s' (errno: %d)"),
+N_("Can't find file: '%-.200s' (errno: %d)"),
 /* ER_CANT_READ_DIR   */
-gettext_noop("Can't read dir of '%-.192s' (errno: %d)"),
+N_("Can't read dir of '%-.192s' (errno: %d)"),
 /* ER_CANT_SET_WD   */
-gettext_noop("Can't change dir to '%-.192s' (errno: %d)"),
+N_("Can't change dir to '%-.192s' (errno: %d)"),
 /* ER_CHECKREAD   */
-gettext_noop("Record has changed since last read in table '%-.192s'"),
+N_("Record has changed since last read in table '%-.192s'"),
 /* ER_DISK_FULL   */
-gettext_noop("Disk full (%s); waiting for someone to free some space..."),
+N_("Disk full (%s); waiting for someone to free some space..."),
 /* ER_DUP_KEY 23000  */
-gettext_noop("Can't write; duplicate key in table '%-.192s'"),
+N_("Can't write; duplicate key in table '%-.192s'"),
 /* ER_ERROR_ON_CLOSE   */
-gettext_noop("Error on close of '%-.192s' (errno: %d)"),
+N_("Error on close of '%-.192s' (errno: %d)"),
 /* ER_ERROR_ON_READ   */
-gettext_noop("Error reading file '%-.200s' (errno: %d)"),
+N_("Error reading file '%-.200s' (errno: %d)"),
 /* ER_ERROR_ON_RENAME   */
-gettext_noop("Error on rename of '%-.150s' to '%-.150s' (errno: %d)"),
+N_("Error on rename of '%-.150s' to '%-.150s' (errno: %d)"),
 /* ER_ERROR_ON_WRITE   */
-gettext_noop("Error writing file '%-.200s' (errno: %d)"),
+N_("Error writing file '%-.200s' (errno: %d)"),
 /* ER_FILE_USED   */
-gettext_noop("'%-.192s' is locked against change"),
+N_("'%-.192s' is locked against change"),
 /* ER_FILSORT_ABORT   */
-gettext_noop("Sort aborted"),
+N_("Sort aborted"),
 /* ER_FORM_NOT_FOUND   */
-gettext_noop("View '%-.192s' doesn't exist for '%-.192s'"),
+N_("View '%-.192s' doesn't exist for '%-.192s'"),
 /* ER_GET_ERRNO   */
-gettext_noop("Got error %d from storage engine"),
+N_("Got error %d from storage engine"),
 /* ER_ILLEGAL_HA   */
-gettext_noop("Table storage engine for '%-.192s' doesn't have this option"),
+N_("Table storage engine for '%-.192s' doesn't have this option"),
 /* ER_KEY_NOT_FOUND   */
-gettext_noop("Can't find record in '%-.192s'"),
+N_("Can't find record in '%-.192s'"),
 /* ER_NOT_FORM_FILE   */
-gettext_noop("Incorrect information in file: '%-.200s'"),
+N_("Incorrect information in file: '%-.200s'"),
 /* ER_NOT_KEYFILE   */
-gettext_noop("Incorrect key file for table '%-.200s'; try to repair it"),
+N_("Incorrect key file for table '%-.200s'; try to repair it"),
 /* ER_OLD_KEYFILE   */
-gettext_noop("Old key file for table '%-.192s'; repair it!"),
+N_("Old key file for table '%-.192s'; repair it!"),
 /* ER_OPEN_AS_READONLY   */
-gettext_noop("Table '%-.192s' is read only"),
+N_("Table '%-.192s' is read only"),
 /* ER_OUTOFMEMORY HY001 S1001 */
-gettext_noop("Out of memory; restart server and try again (needed %d bytes)"),
+N_("Out of memory; restart server and try again (needed %d bytes)"),
 /* ER_OUT_OF_SORTMEMORY HY001 S1001 */
-gettext_noop("Out of sort memory; increase server sort buffer size"),
+N_("Out of sort memory; increase server sort buffer size"),
 /* ER_UNEXPECTED_EOF   */
-gettext_noop("Unexpected EOF found when reading file '%-.192s' (errno: %d)"),
+N_("Unexpected EOF found when reading file '%-.192s' (errno: %d)"),
 /* ER_CON_COUNT_ERROR 08004  */
-gettext_noop("Too many connections"),
+N_("Too many connections"),
 /* ER_OUT_OF_RESOURCES   */
-gettext_noop("Out of memory; check if mysqld or some other process uses all available memory; if not, you may have to use 'ulimit' to allow mysqld to use more memory or you can add more swap space"),
+N_("Out of memory; check if mysqld or some other process uses all available memory; if not, you may have to use 'ulimit' to allow mysqld to use more memory or you can add more swap space"),
 /* ER_BAD_HOST_ERROR 08S01  */
-gettext_noop("Can't get hostname for your address"),
+N_("Can't get hostname for your address"),
 /* ER_HANDSHAKE_ERROR 08S01  */
-gettext_noop("Bad handshake"),
+N_("Bad handshake"),
 /* ER_DBACCESS_DENIED_ERROR 42000  */
-gettext_noop("Access denied for user '%-.48s'@'%-.64s' to database '%-.192s'"),
+N_("Access denied for user '%-.48s'@'%-.64s' to database '%-.192s'"),
 /* ER_ACCESS_DENIED_ERROR 28000  */
-gettext_noop("Access denied for user '%-.48s'@'%-.64s' (using password: %s)"),
+N_("Access denied for user '%-.48s'@'%-.64s' (using password: %s)"),
 /* ER_NO_DB_ERROR 3D000  */
-gettext_noop("No database selected"),
+N_("No database selected"),
 /* ER_UNKNOWN_COM_ERROR 08S01  */
-gettext_noop("Unknown command"),
+N_("Unknown command"),
 /* ER_BAD_NULL_ERROR 23000  */
-gettext_noop("Column '%-.192s' cannot be null"),
+N_("Column '%-.192s' cannot be null"),
 /* ER_BAD_DB_ERROR 42000  */
-gettext_noop("Unknown database '%-.192s'"),
+N_("Unknown database '%-.192s'"),
 /* ER_TABLE_EXISTS_ERROR 42S01  */
-gettext_noop("Table '%-.192s' already exists"),
+N_("Table '%-.192s' already exists"),
 /* ER_BAD_TABLE_ERROR 42S02  */
-gettext_noop("Unknown table '%-.100s'"),
+N_("Unknown table '%-.100s'"),
 /* ER_NON_UNIQ_ERROR 23000  */
-gettext_noop("Column '%-.192s' in %-.192s is ambiguous"),
+N_("Column '%-.192s' in %-.192s is ambiguous"),
 /* ER_SERVER_SHUTDOWN 08S01  */
-gettext_noop("Server shutdown in progress"),
+N_("Server shutdown in progress"),
 /* ER_BAD_FIELD_ERROR 42S22 S0022 */
-gettext_noop("Unknown column '%-.192s' in '%-.192s'"),
+N_("Unknown column '%-.192s' in '%-.192s'"),
 /* ER_WRONG_FIELD_WITH_GROUP 42000 S1009 */
-gettext_noop("'%-.192s' isn't in GROUP BY"),
+N_("'%-.192s' isn't in GROUP BY"),
 /* ER_WRONG_GROUP_FIELD 42000 S1009 */
-gettext_noop("Can't group on '%-.192s'"),
+N_("Can't group on '%-.192s'"),
 /* ER_WRONG_SUM_SELECT 42000 S1009 */
-gettext_noop("Statement has sum functions and columns in same statement"),
+N_("Statement has sum functions and columns in same statement"),
 /* ER_WRONG_VALUE_COUNT 21S01  */
-gettext_noop("Column count doesn't match value count"),
+N_("Column count doesn't match value count"),
 /* ER_TOO_LONG_IDENT 42000 S1009 */
-gettext_noop("Identifier name '%-.100s' is too long"),
+N_("Identifier name '%-.100s' is too long"),
 /* ER_DUP_FIELDNAME 42S21 S1009 */
-gettext_noop("Duplicate column name '%-.192s'"),
+N_("Duplicate column name '%-.192s'"),
 /* ER_DUP_KEYNAME 42000 S1009 */
-gettext_noop("Duplicate key name '%-.192s'"),
+N_("Duplicate key name '%-.192s'"),
 /* ER_DUP_ENTRY 23000 S1009 */
-gettext_noop("Duplicate entry '%-.192s' for key %d"),
+N_("Duplicate entry '%-.192s' for key %d"),
 /* ER_WRONG_FIELD_SPEC 42000 S1009 */
-gettext_noop("Incorrect column specifier for column '%-.192s'"),
+N_("Incorrect column specifier for column '%-.192s'"),
 /* ER_PARSE_ERROR 42000 s1009 */
-gettext_noop("%s near '%-.80s' at line %d"),
+N_("%s near '%-.80s' at line %d"),
 /* ER_EMPTY_QUERY 42000   */
-gettext_noop("Query was empty"),
+N_("Query was empty"),
 /* ER_NONUNIQ_TABLE 42000 S1009 */
-gettext_noop("Not unique table/alias: '%-.192s'"),
+N_("Not unique table/alias: '%-.192s'"),
 /* ER_INVALID_DEFAULT 42000 S1009 */
-gettext_noop("Invalid default value for '%-.192s'"),
+N_("Invalid default value for '%-.192s'"),
 /* ER_MULTIPLE_PRI_KEY 42000 S1009 */
-gettext_noop("Multiple primary key defined"),
+N_("Multiple primary key defined"),
 /* ER_TOO_MANY_KEYS 42000 S1009 */
-gettext_noop("Too many keys specified; max %d keys allowed"),
+N_("Too many keys specified; max %d keys allowed"),
 /* ER_TOO_MANY_KEY_PARTS 42000 S1009 */
-gettext_noop("Too many key parts specified; max %d parts allowed"),
+N_("Too many key parts specified; max %d parts allowed"),
 /* ER_TOO_LONG_KEY 42000 S1009 */
-gettext_noop("Specified key was too long; max key length is %d bytes"),
+N_("Specified key was too long; max key length is %d bytes"),
 /* ER_KEY_COLUMN_DOES_NOT_EXITS 42000 S1009 */
-gettext_noop("Key column '%-.192s' doesn't exist in table"),
+N_("Key column '%-.192s' doesn't exist in table"),
 /* ER_BLOB_USED_AS_KEY 42000 S1009 */
-gettext_noop("BLOB column '%-.192s' can't be used in key specification with the used table type"),
+N_("BLOB column '%-.192s' can't be used in key specification with the used table type"),
 /* ER_TOO_BIG_FIELDLENGTH 42000 S1009 */
-gettext_noop("Column length too big for column '%-.192s' (max = %d); use BLOB or TEXT instead"),
+N_("Column length too big for column '%-.192s' (max = %d); use BLOB or TEXT instead"),
 /* ER_WRONG_AUTO_KEY 42000 S1009 */
-gettext_noop("Incorrect table definition; there can be only one auto column and it must be defined as a key"),
+N_("Incorrect table definition; there can be only one auto column and it must be defined as a key"),
 /* ER_READY   */
-gettext_noop("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d"),
+N_("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d"),
 /* ER_NORMAL_SHUTDOWN   */
-gettext_noop("%s: Normal shutdown\n"),
+N_("%s: Normal shutdown\n"),
 /* ER_GOT_SIGNAL   */
-gettext_noop("%s: Got signal %d. Aborting!\n"),
+N_("%s: Got signal %d. Aborting!\n"),
 /* ER_SHUTDOWN_COMPLETE   */
-gettext_noop("%s: Shutdown complete\n"),
+N_("%s: Shutdown complete\n"),
 /* ER_FORCING_CLOSE 08S01  */
-gettext_noop("%s: Forcing close of thread %ld  user: '%-.48s'\n"),
+N_("%s: Forcing close of thread %ld  user: '%-.48s'\n"),
 /* ER_IPSOCK_ERROR 08S01  */
-gettext_noop("Can't create IP socket"),
+N_("Can't create IP socket"),
 /* ER_NO_SUCH_INDEX 42S12 S1009 */
-gettext_noop("Table '%-.192s' has no index like the one used in CREATE INDEX; recreate the table"),
+N_("Table '%-.192s' has no index like the one used in CREATE INDEX; recreate the table"),
 /* ER_WRONG_FIELD_TERMINATORS 42000 S1009 */
-gettext_noop("Field separator argument is not what is expected; check the manual"),
+N_("Field separator argument is not what is expected; check the manual"),
 /* ER_BLOBS_AND_NO_TERMINATED 42000 S1009 */
-gettext_noop("You can't use fixed rowlength with BLOBs; please use 'fields terminated by'"),
+N_("You can't use fixed rowlength with BLOBs; please use 'fields terminated by'"),
 /* ER_TEXTFILE_NOT_READABLE   */
-gettext_noop("The file '%-.128s' must be in the database directory or be readable by all"),
+N_("The file '%-.128s' must be in the database directory or be readable by all"),
 /* ER_FILE_EXISTS_ERROR   */
-gettext_noop("File '%-.200s' already exists"),
+N_("File '%-.200s' already exists"),
 /* ER_LOAD_INFO   */
-gettext_noop("Records: %ld  Deleted: %ld  Skipped: %ld  Warnings: %ld"),
+N_("Records: %ld  Deleted: %ld  Skipped: %ld  Warnings: %ld"),
 /* ER_ALTER_INFO   */
-gettext_noop("Records: %ld  Duplicates: %ld"),
+N_("Records: %ld  Duplicates: %ld"),
 /* ER_WRONG_SUB_KEY   */
-gettext_noop("Incorrect prefix key; the used key part isn't a string, the used length is longer than the key part, or the storage engine doesn't support unique prefix keys"),
+N_("Incorrect prefix key; the used key part isn't a string, the used length is longer than the key part, or the storage engine doesn't support unique prefix keys"),
 /* ER_CANT_REMOVE_ALL_FIELDS 42000  */
-gettext_noop("You can't delete all columns with ALTER TABLE; use DROP TABLE instead"),
+N_("You can't delete all columns with ALTER TABLE; use DROP TABLE instead"),
 /* ER_CANT_DROP_FIELD_OR_KEY 42000  */
-gettext_noop("Can't DROP '%-.192s'; check that column/key exists"),
+N_("Can't DROP '%-.192s'; check that column/key exists"),
 /* ER_INSERT_INFO   */
-gettext_noop("Records: %ld  Duplicates: %ld  Warnings: %ld"),
+N_("Records: %ld  Duplicates: %ld  Warnings: %ld"),
 /* ER_UPDATE_TABLE_USED   */
-gettext_noop("You can't specify target table '%-.192s' for update in FROM clause"),
+N_("You can't specify target table '%-.192s' for update in FROM clause"),
 /* ER_NO_SUCH_THREAD   */
-gettext_noop("Unknown thread id: %lu"),
+N_("Unknown thread id: %lu"),
 /* ER_KILL_DENIED_ERROR   */
-gettext_noop("You are not owner of thread %lu"),
+N_("You are not owner of thread %lu"),
 /* ER_NO_TABLES_USED   */
-gettext_noop("No tables used"),
+N_("No tables used"),
 /* ER_TOO_BIG_SET   */
-gettext_noop("Too many strings for column %-.192s and SET"),
+N_("Too many strings for column %-.192s and SET"),
 /* ER_NO_UNIQUE_LOGFILE   */
-gettext_noop("Can't generate a unique log-filename %-.200s.(1-999)\n"),
+N_("Can't generate a unique log-filename %-.200s.(1-999)\n"),
 /* ER_TABLE_NOT_LOCKED_FOR_WRITE   */
-gettext_noop("Table '%-.192s' was locked with a READ lock and can't be updated"),
+N_("Table '%-.192s' was locked with a READ lock and can't be updated"),
 /* ER_TABLE_NOT_LOCKED   */
-gettext_noop("Table '%-.192s' was not locked with LOCK TABLES"),
+N_("Table '%-.192s' was not locked with LOCK TABLES"),
 /* ER_BLOB_CANT_HAVE_DEFAULT 42000  */
-gettext_noop("BLOB/TEXT column '%-.192s' can't have a default value"),
+N_("BLOB/TEXT column '%-.192s' can't have a default value"),
 /* ER_WRONG_DB_NAME 42000  */
-gettext_noop("Incorrect database name '%-.100s'"),
+N_("Incorrect database name '%-.100s'"),
 /* ER_WRONG_TABLE_NAME 42000  */
-gettext_noop("Incorrect table name '%-.100s'"),
+N_("Incorrect table name '%-.100s'"),
 /* ER_TOO_BIG_SELECT 42000  */
-gettext_noop("The SELECT would examine more than MAX_JOIN_SIZE rows; check your WHERE and use SET SQL_BIG_SELECTS=1 or SET SQL_MAX_JOIN_SIZE=# if the SELECT is okay"),
+N_("The SELECT would examine more than MAX_JOIN_SIZE rows; check your WHERE and use SET SQL_BIG_SELECTS=1 or SET SQL_MAX_JOIN_SIZE=# if the SELECT is okay"),
 /* ER_UNKNOWN_ERROR   */
-gettext_noop("Unknown error"),
+N_("Unknown error"),
 /* ER_UNKNOWN_PROCEDURE 42000  */
-gettext_noop("Unknown procedure '%-.192s'"),
+N_("Unknown procedure '%-.192s'"),
 /* ER_WRONG_PARAMCOUNT_TO_PROCEDURE 42000  */
-gettext_noop("Incorrect parameter count to procedure '%-.192s'"),
+N_("Incorrect parameter count to procedure '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_PROCEDURE   */
-gettext_noop("Incorrect parameters to procedure '%-.192s'"),
+N_("Incorrect parameters to procedure '%-.192s'"),
 /* ER_UNKNOWN_TABLE 42S02  */
-gettext_noop("Unknown table '%-.192s' in %-.32s"),
+N_("Unknown table '%-.192s' in %-.32s"),
 /* ER_FIELD_SPECIFIED_TWICE 42000  */
-gettext_noop("Column '%-.192s' specified twice"),
+N_("Column '%-.192s' specified twice"),
 /* ER_INVALID_GROUP_FUNC_USE   */
-gettext_noop("Invalid use of group function"),
+N_("Invalid use of group function"),
 /* ER_UNSUPPORTED_EXTENSION 42000  */
-gettext_noop("Table '%-.192s' uses an extension that doesn't exist in this MySQL version"),
+N_("Table '%-.192s' uses an extension that doesn't exist in this MySQL version"),
 /* ER_TABLE_MUST_HAVE_COLUMNS 42000  */
-gettext_noop("A table must have at least 1 column"),
+N_("A table must have at least 1 column"),
 /* ER_RECORD_FILE_FULL   */
-gettext_noop("The table '%-.192s' is full"),
+N_("The table '%-.192s' is full"),
 /* ER_UNKNOWN_CHARACTER_SET 42000  */
-gettext_noop("Unknown character set: '%-.64s'"),
+N_("Unknown character set: '%-.64s'"),
 /* ER_TOO_MANY_TABLES   */
-gettext_noop("Too many tables; MySQL can only use %d tables in a join"),
+N_("Too many tables; MySQL can only use %d tables in a join"),
 /* ER_TOO_MANY_FIELDS   */
-gettext_noop("Too many columns"),
+N_("Too many columns"),
 /* ER_TOO_BIG_ROWSIZE 42000  */
-gettext_noop("Row size too large. The maximum row size for the used table type, not counting BLOBs, is %ld. You have to change some columns to TEXT or BLOBs"),
+N_("Row size too large. The maximum row size for the used table type, not counting BLOBs, is %ld. You have to change some columns to TEXT or BLOBs"),
 /* ER_STACK_OVERRUN   */
-gettext_noop("Thread stack overrun:  Used: %ld of a %ld stack.  Use 'mysqld -O thread_stack=#' to specify a bigger stack if needed"),
+N_("Thread stack overrun:  Used: %ld of a %ld stack.  Use 'mysqld -O thread_stack=#' to specify a bigger stack if needed"),
 /* ER_WRONG_OUTER_JOIN 42000  */
-gettext_noop("Cross dependency found in OUTER JOIN; examine your ON conditions"),
+N_("Cross dependency found in OUTER JOIN; examine your ON conditions"),
 /* ER_NULL_COLUMN_IN_INDEX 42000  */
-gettext_noop("Table handler doesn't support NULL in given index. Please change column '%-.192s' to be NOT NULL or use another handler"),
+N_("Table handler doesn't support NULL in given index. Please change column '%-.192s' to be NOT NULL or use another handler"),
 /* ER_CANT_FIND_UDF   */
-gettext_noop("Can't load function '%-.192s'"),
+N_("Can't load function '%-.192s'"),
 /* ER_CANT_INITIALIZE_UDF   */
-gettext_noop("Can't initialize function '%-.192s'; %-.80s"),
+N_("Can't initialize function '%-.192s'; %-.80s"),
 /* ER_UDF_NO_PATHS   */
-gettext_noop("No paths allowed for shared library"),
+N_("No paths allowed for shared library"),
 /* ER_UDF_EXISTS   */
-gettext_noop("Function '%-.192s' already exists"),
+N_("Function '%-.192s' already exists"),
 /* ER_CANT_OPEN_LIBRARY   */
-gettext_noop("Can't open shared library '%-.192s' (errno: %d %-.128s)"),
+N_("Can't open shared library '%-.192s' (errno: %d %-.128s)"),
 /* ER_CANT_FIND_DL_ENTRY */
-gettext_noop("Can't find symbol '%-.128s' in library"),
+N_("Can't find symbol '%-.128s' in library"),
 /* ER_FUNCTION_NOT_DEFINED   */
-gettext_noop("Function '%-.192s' is not defined"),
+N_("Function '%-.192s' is not defined"),
 /* ER_HOST_IS_BLOCKED   */
-gettext_noop("Host '%-.64s' is blocked because of many connection errors; unblock with 'mysqladmin flush-hosts'"),
+N_("Host '%-.64s' is blocked because of many connection errors; unblock with 'mysqladmin flush-hosts'"),
 /* ER_HOST_NOT_PRIVILEGED   */
-gettext_noop("Host '%-.64s' is not allowed to connect to this MySQL server"),
+N_("Host '%-.64s' is not allowed to connect to this MySQL server"),
 /* ER_PASSWORD_ANONYMOUS_USER 42000  */
-gettext_noop("You are using MySQL as an anonymous user and anonymous users are not allowed to change passwords"),
+N_("You are using MySQL as an anonymous user and anonymous users are not allowed to change passwords"),
 /* ER_PASSWORD_NOT_ALLOWED 42000  */
-gettext_noop("You must have privileges to update tables in the mysql database to be able to change passwords for others"),
+N_("You must have privileges to update tables in the mysql database to be able to change passwords for others"),
 /* ER_PASSWORD_NO_MATCH 42000  */
-gettext_noop("Can't find any matching row in the user table"),
+N_("Can't find any matching row in the user table"),
 /* ER_UPDATE_INFO   */
-gettext_noop("Rows matched: %ld  Changed: %ld  Warnings: %ld"),
+N_("Rows matched: %ld  Changed: %ld  Warnings: %ld"),
 /* ER_CANT_CREATE_THREAD   */
-gettext_noop("Can't create a new thread (errno %d); if you are not out of available memory, you can consult the manual for a possible OS-dependent bug"),
+N_("Can't create a new thread (errno %d); if you are not out of available memory, you can consult the manual for a possible OS-dependent bug"),
 /* ER_WRONG_VALUE_COUNT_ON_ROW 21S01  */
-gettext_noop("Column count doesn't match value count at row %ld"),
+N_("Column count doesn't match value count at row %ld"),
 /* ER_CANT_REOPEN_TABLE   */
-gettext_noop("Can't reopen table: '%-.192s'"),
+N_("Can't reopen table: '%-.192s'"),
 /* ER_INVALID_USE_OF_NULL 22004  */
-gettext_noop("Invalid use of NULL value"),
+N_("Invalid use of NULL value"),
 /* ER_REGEXP_ERROR 42000  */
-gettext_noop("Got error '%-.64s' from regexp"),
+N_("Got error '%-.64s' from regexp"),
 /* ER_MIX_OF_GROUP_FUNC_AND_FIELDS 42000  */
-gettext_noop("Mixing of GROUP columns (MIN(),MAX(),COUNT(),...) with no GROUP columns is illegal if there is no GROUP BY clause"),
+N_("Mixing of GROUP columns (MIN(),MAX(),COUNT(),...) with no GROUP columns is illegal if there is no GROUP BY clause"),
 /* ER_NONEXISTING_GRANT 42000  */
-gettext_noop("There is no such grant defined for user '%-.48s' on host '%-.64s'"),
+N_("There is no such grant defined for user '%-.48s' on host '%-.64s'"),
 /* ER_TABLEACCESS_DENIED_ERROR 42000  */
-gettext_noop("%-.16s command denied to user '%-.48s'@'%-.64s' for table '%-.192s'"),
+N_("%-.16s command denied to user '%-.48s'@'%-.64s' for table '%-.192s'"),
 /* ER_COLUMNACCESS_DENIED_ERROR 42000  */
-gettext_noop("%-.16s command denied to user '%-.48s'@'%-.64s' for column '%-.192s' in table '%-.192s'"),
+N_("%-.16s command denied to user '%-.48s'@'%-.64s' for column '%-.192s' in table '%-.192s'"),
 /* ER_ILLEGAL_GRANT_FOR_TABLE 42000  */
-gettext_noop("Illegal GRANT/REVOKE command; please consult the manual to see which privileges can be used"),
+N_("Illegal GRANT/REVOKE command; please consult the manual to see which privileges can be used"),
 /* ER_GRANT_WRONG_HOST_OR_USER 42000  */
-gettext_noop("The host or user argument to GRANT is too long"),
+N_("The host or user argument to GRANT is too long"),
 /* ER_NO_SUCH_TABLE 42S02  */
-gettext_noop("Table '%-.192s.%-.192s' doesn't exist"),
+N_("Table '%-.192s.%-.192s' doesn't exist"),
 /* ER_NONEXISTING_TABLE_GRANT 42000  */
-gettext_noop("There is no such grant defined for user '%-.48s' on host '%-.64s' on table '%-.192s'"),
+N_("There is no such grant defined for user '%-.48s' on host '%-.64s' on table '%-.192s'"),
 /* ER_NOT_ALLOWED_COMMAND 42000  */
-gettext_noop("The used command is not allowed with this MySQL version"),
+N_("The used command is not allowed with this MySQL version"),
 /* ER_SYNTAX_ERROR 42000  */
-gettext_noop("You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use"),
+N_("You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use"),
 /* ER_DELAYED_CANT_CHANGE_LOCK   */
-gettext_noop("Delayed insert thread couldn't get requested lock for table %-.192s"),
+N_("Delayed insert thread couldn't get requested lock for table %-.192s"),
 /* ER_TOO_MANY_DELAYED_THREADS   */
-gettext_noop("Too many delayed threads in use"),
+N_("Too many delayed threads in use"),
 /* ER_ABORTING_CONNECTION 08S01  */
-gettext_noop("Aborted connection %ld to db: '%-.192s' user: '%-.48s' (%-.64s)"),
+N_("Aborted connection %ld to db: '%-.192s' user: '%-.48s' (%-.64s)"),
 /* ER_NET_PACKET_TOO_LARGE 08S01  */
-gettext_noop("Got a packet bigger than 'max_allowed_packet' bytes"),
+N_("Got a packet bigger than 'max_allowed_packet' bytes"),
 /* ER_NET_READ_ERROR_FROM_PIPE 08S01  */
-gettext_noop("Got a read error from the connection pipe"),
+N_("Got a read error from the connection pipe"),
 /* ER_NET_FCNTL_ERROR 08S01  */
-gettext_noop("Got an error from fcntl()"),
+N_("Got an error from fcntl()"),
 /* ER_NET_PACKETS_OUT_OF_ORDER 08S01  */
-gettext_noop("Got packets out of order"),
+N_("Got packets out of order"),
 /* ER_NET_UNCOMPRESS_ERROR 08S01  */
-gettext_noop("Couldn't uncompress communication packet"),
+N_("Couldn't uncompress communication packet"),
 /* ER_NET_READ_ERROR 08S01  */
-gettext_noop("Got an error reading communication packets"),
+N_("Got an error reading communication packets"),
 /* ER_NET_READ_INTERRUPTED 08S01  */
-gettext_noop("Got timeout reading communication packets"),
+N_("Got timeout reading communication packets"),
 /* ER_NET_ERROR_ON_WRITE 08S01  */
-gettext_noop("Got an error writing communication packets"),
+N_("Got an error writing communication packets"),
 /* ER_NET_WRITE_INTERRUPTED 08S01  */
-gettext_noop("Got timeout writing communication packets"),
+N_("Got timeout writing communication packets"),
 /* ER_TOO_LONG_STRING 42000  */
-gettext_noop("Result string is longer than 'max_allowed_packet' bytes"),
+N_("Result string is longer than 'max_allowed_packet' bytes"),
 /* ER_TABLE_CANT_HANDLE_BLOB 42000  */
-gettext_noop("The used table type doesn't support BLOB/TEXT columns"),
+N_("The used table type doesn't support BLOB/TEXT columns"),
 /* ER_TABLE_CANT_HANDLE_AUTO_INCREMENT 42000  */
-gettext_noop("The used table type doesn't support AUTO_INCREMENT columns"),
+N_("The used table type doesn't support AUTO_INCREMENT columns"),
 /* ER_DELAYED_INSERT_TABLE_LOCKED   */
-gettext_noop("INSERT DELAYED can't be used with table '%-.192s' because it is locked with LOCK TABLES"),
+N_("INSERT DELAYED can't be used with table '%-.192s' because it is locked with LOCK TABLES"),
 /* ER_WRONG_COLUMN_NAME 42000  */
-gettext_noop("Incorrect column name '%-.100s'"),
+N_("Incorrect column name '%-.100s'"),
 /* ER_WRONG_KEY_COLUMN 42000  */
-gettext_noop("The used storage engine can't index column '%-.192s'"),
+N_("The used storage engine can't index column '%-.192s'"),
 /* ER_WRONG_MRG_TABLE   */
-gettext_noop("Unable to open underlying table which is differently defined or of non-MyISAM type or doesn't exist"),
+N_("Unable to open underlying table which is differently defined or of non-MyISAM type or doesn't exist"),
 /* ER_DUP_UNIQUE 23000  */
-gettext_noop("Can't write, because of unique constraint, to table '%-.192s'"),
+N_("Can't write, because of unique constraint, to table '%-.192s'"),
 /* ER_BLOB_KEY_WITHOUT_LENGTH 42000  */
-gettext_noop("BLOB/TEXT column '%-.192s' used in key specification without a key length"),
+N_("BLOB/TEXT column '%-.192s' used in key specification without a key length"),
 /* ER_PRIMARY_CANT_HAVE_NULL 42000  */
-gettext_noop("All parts of a PRIMARY KEY must be NOT NULL; if you need NULL in a key, use UNIQUE instead"),
+N_("All parts of a PRIMARY KEY must be NOT NULL; if you need NULL in a key, use UNIQUE instead"),
 /* ER_TOO_MANY_ROWS 42000  */
-gettext_noop("Result consisted of more than one row"),
+N_("Result consisted of more than one row"),
 /* ER_REQUIRES_PRIMARY_KEY 42000  */
-gettext_noop("This table type requires a primary key"),
+N_("This table type requires a primary key"),
 /* ER_NO_RAID_COMPILED   */
-gettext_noop("This version of MySQL is not compiled with RAID support"),
+N_("This version of MySQL is not compiled with RAID support"),
 /* ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE   */
-gettext_noop("You are using safe update mode and you tried to update a table without a WHERE that uses a KEY column"),
+N_("You are using safe update mode and you tried to update a table without a WHERE that uses a KEY column"),
 /* ER_KEY_DOES_NOT_EXITS 42000 S1009 */
-gettext_noop("Key '%-.192s' doesn't exist in table '%-.192s'"),
+N_("Key '%-.192s' doesn't exist in table '%-.192s'"),
 /* ER_CHECK_NO_SUCH_TABLE 42000  */
-gettext_noop("Can't open table"),
+N_("Can't open table"),
 /* ER_CHECK_NOT_IMPLEMENTED 42000  */
-gettext_noop("The storage engine for the table doesn't support %s"),
+N_("The storage engine for the table doesn't support %s"),
 /* ER_CANT_DO_THIS_DURING_AN_TRANSACTION 25000  */
-gettext_noop("You are not allowed to execute this command in a transaction"),
+N_("You are not allowed to execute this command in a transaction"),
 /* ER_ERROR_DURING_COMMIT   */
-gettext_noop("Got error %d during COMMIT"),
+N_("Got error %d during COMMIT"),
 /* ER_ERROR_DURING_ROLLBACK   */
-gettext_noop("Got error %d during ROLLBACK"),
+N_("Got error %d during ROLLBACK"),
 /* ER_ERROR_DURING_FLUSH_LOGS   */
-gettext_noop("Got error %d during FLUSH_LOGS"),
+N_("Got error %d during FLUSH_LOGS"),
 /* ER_ERROR_DURING_CHECKPOINT   */
-gettext_noop("Got error %d during CHECKPOINT"),
+N_("Got error %d during CHECKPOINT"),
 /* ER_NEW_ABORTING_CONNECTION 08S01  */
-gettext_noop("Aborted connection %ld to db: '%-.192s' user: '%-.48s' host: '%-.64s' (%-.64s)"),
+N_("Aborted connection %ld to db: '%-.192s' user: '%-.48s' host: '%-.64s' (%-.64s)"),
 /* ER_DUMP_NOT_IMPLEMENTED   */
-gettext_noop("The storage engine for the table does not support binary table dump"),
+N_("The storage engine for the table does not support binary table dump"),
 /* ER_FLUSH_MASTER_BINLOG_CLOSED   */
-gettext_noop("Binlog closed, cannot RESET MASTER"),
+N_("Binlog closed, cannot RESET MASTER"),
 /* ER_INDEX_REBUILD   */
-gettext_noop("Failed rebuilding the index of  dumped table '%-.192s'"),
+N_("Failed rebuilding the index of  dumped table '%-.192s'"),
 /* ER_MASTER   */
-gettext_noop("Error from master: '%-.64s'"),
+N_("Error from master: '%-.64s'"),
 /* ER_MASTER_NET_READ 08S01  */
-gettext_noop("Net error reading from master"),
+N_("Net error reading from master"),
 /* ER_MASTER_NET_WRITE 08S01  */
-gettext_noop("Net error writing to master"),
+N_("Net error writing to master"),
 /* ER_FT_MATCHING_KEY_NOT_FOUND   */
-gettext_noop("Can't find FULLTEXT index matching the column list"),
+N_("Can't find FULLTEXT index matching the column list"),
 /* ER_LOCK_OR_ACTIVE_TRANSACTION   */
-gettext_noop("Can't execute the given command because you have active locked tables or an active transaction"),
+N_("Can't execute the given command because you have active locked tables or an active transaction"),
 /* ER_UNKNOWN_SYSTEM_VARIABLE   */
-gettext_noop("Unknown system variable '%-.64s'"),
+N_("Unknown system variable '%-.64s'"),
 /* ER_CRASHED_ON_USAGE   */
-gettext_noop("Table '%-.192s' is marked as crashed and should be repaired"),
+N_("Table '%-.192s' is marked as crashed and should be repaired"),
 /* ER_CRASHED_ON_REPAIR   */
-gettext_noop("Table '%-.192s' is marked as crashed and last (automatic?) repair failed"),
+N_("Table '%-.192s' is marked as crashed and last (automatic?) repair failed"),
 /* ER_WARNING_NOT_COMPLETE_ROLLBACK   */
-gettext_noop("Some non-transactional changed tables couldn't be rolled back"),
+N_("Some non-transactional changed tables couldn't be rolled back"),
 /* ER_TRANS_CACHE_FULL   */
-gettext_noop("Multi-statement transaction required more than 'max_binlog_cache_size' bytes of storage; increase this mysqld variable and try again"),
+N_("Multi-statement transaction required more than 'max_binlog_cache_size' bytes of storage; increase this mysqld variable and try again"),
 /* ER_SLAVE_MUST_STOP   */
-gettext_noop("This operation cannot be performed with a running slave; run STOP SLAVE first"),
+N_("This operation cannot be performed with a running slave; run STOP SLAVE first"),
 /* ER_SLAVE_NOT_RUNNING   */
-gettext_noop("This operation requires a running slave; configure slave and do START SLAVE"),
+N_("This operation requires a running slave; configure slave and do START SLAVE"),
 /* ER_BAD_SLAVE   */
-gettext_noop("The server is not configured as slave; fix with CHANGE MASTER TO"),
+N_("The server is not configured as slave; fix with CHANGE MASTER TO"),
 /* ER_MASTER_INFO   */
-gettext_noop("Could not initialize master info structure; more error messages can be found in the MySQL error log"),
+N_("Could not initialize master info structure; more error messages can be found in the MySQL error log"),
 /* ER_SLAVE_THREAD   */
-gettext_noop("Could not create slave thread; check system resources"),
+N_("Could not create slave thread; check system resources"),
 /* ER_TOO_MANY_USER_CONNECTIONS 42000  */
-gettext_noop("User %-.64s already has more than 'max_user_connections' active connections"),
+N_("User %-.64s already has more than 'max_user_connections' active connections"),
 /* ER_SET_CONSTANTS_ONLY   */
-gettext_noop("You may only use constant expressions with SET"),
+N_("You may only use constant expressions with SET"),
 /* ER_LOCK_WAIT_TIMEOUT   */
-gettext_noop("Lock wait timeout exceeded; try restarting transaction"),
+N_("Lock wait timeout exceeded; try restarting transaction"),
 /* ER_LOCK_TABLE_FULL   */
-gettext_noop("The total number of locks exceeds the lock table size"),
+N_("The total number of locks exceeds the lock table size"),
 /* ER_READ_ONLY_TRANSACTION 25000  */
-gettext_noop("Update locks cannot be acquired during a READ UNCOMMITTED transaction"),
+N_("Update locks cannot be acquired during a READ UNCOMMITTED transaction"),
 /* ER_DROP_DB_WITH_READ_LOCK   */
-gettext_noop("DROP DATABASE not allowed while thread is holding global read lock"),
+N_("DROP DATABASE not allowed while thread is holding global read lock"),
 /* ER_CREATE_DB_WITH_READ_LOCK   */
-gettext_noop("CREATE DATABASE not allowed while thread is holding global read lock"),
+N_("CREATE DATABASE not allowed while thread is holding global read lock"),
 /* ER_WRONG_ARGUMENTS   */
-gettext_noop("Incorrect arguments to %s"),
+N_("Incorrect arguments to %s"),
 /* ER_NO_PERMISSION_TO_CREATE_USER 42000  */
-gettext_noop("'%-.48s'@'%-.64s' is not allowed to create new users"),
+N_("'%-.48s'@'%-.64s' is not allowed to create new users"),
 /* ER_UNION_TABLES_IN_DIFFERENT_DIR   */
-gettext_noop("Incorrect table definition; all MERGE tables must be in the same database"),
+N_("Incorrect table definition; all MERGE tables must be in the same database"),
 /* ER_LOCK_DEADLOCK 40001  */
-gettext_noop("Deadlock found when trying to get lock; try restarting transaction"),
+N_("Deadlock found when trying to get lock; try restarting transaction"),
 /* ER_TABLE_CANT_HANDLE_FT   */
-gettext_noop("The used table type doesn't support FULLTEXT indexes"),
+N_("The used table type doesn't support FULLTEXT indexes"),
 /* ER_CANNOT_ADD_FOREIGN   */
-gettext_noop("Cannot add foreign key constraint"),
+N_("Cannot add foreign key constraint"),
 /* ER_NO_REFERENCED_ROW 23000  */
-gettext_noop("Cannot add or update a child row: a foreign key constraint fails"),
+N_("Cannot add or update a child row: a foreign key constraint fails"),
 /* ER_ROW_IS_REFERENCED 23000  */
-gettext_noop("Cannot delete or update a parent row: a foreign key constraint fails"),
+N_("Cannot delete or update a parent row: a foreign key constraint fails"),
 /* ER_CONNECT_TO_MASTER 08S01  */
-gettext_noop("Error connecting to master: %-.128s"),
+N_("Error connecting to master: %-.128s"),
 /* ER_QUERY_ON_MASTER   */
-gettext_noop("Error running query on master: %-.128s"),
+N_("Error running query on master: %-.128s"),
 /* ER_ERROR_WHEN_EXECUTING_COMMAND   */
-gettext_noop("Error when executing command %s: %-.128s"),
+N_("Error when executing command %s: %-.128s"),
 /* ER_WRONG_USAGE   */
-gettext_noop("Incorrect usage of %s and %s"),
+N_("Incorrect usage of %s and %s"),
 /* ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT 21000  */
-gettext_noop("The used SELECT statements have a different number of columns"),
+N_("The used SELECT statements have a different number of columns"),
 /* ER_CANT_UPDATE_WITH_READLOCK   */
-gettext_noop("Can't execute the query because you have a conflicting read lock"),
+N_("Can't execute the query because you have a conflicting read lock"),
 /* ER_MIXING_NOT_ALLOWED   */
-gettext_noop("Mixing of transactional and non-transactional tables is disabled"),
+N_("Mixing of transactional and non-transactional tables is disabled"),
 /* ER_DUP_ARGUMENT   */
-gettext_noop("Option '%s' used twice in statement"),
+N_("Option '%s' used twice in statement"),
 /* ER_USER_LIMIT_REACHED 42000  */
-gettext_noop("User '%-.64s' has exceeded the '%s' resource (current value: %ld)"),
+N_("User '%-.64s' has exceeded the '%s' resource (current value: %ld)"),
 /* ER_SPECIFIC_ACCESS_DENIED_ERROR 42000  */
-gettext_noop("Access denied; you need the %-.128s privilege for this operation"),
+N_("Access denied; you need the %-.128s privilege for this operation"),
 /* ER_LOCAL_VARIABLE   */
-gettext_noop("Variable '%-.64s' is a SESSION variable and can't be used with SET GLOBAL"),
+N_("Variable '%-.64s' is a SESSION variable and can't be used with SET GLOBAL"),
 /* ER_GLOBAL_VARIABLE   */
-gettext_noop("Variable '%-.64s' is a GLOBAL variable and should be set with SET GLOBAL"),
+N_("Variable '%-.64s' is a GLOBAL variable and should be set with SET GLOBAL"),
 /* ER_NO_DEFAULT 42000  */
-gettext_noop("Variable '%-.64s' doesn't have a default value"),
+N_("Variable '%-.64s' doesn't have a default value"),
 /* ER_WRONG_VALUE_FOR_VAR 42000  */
-gettext_noop("Variable '%-.64s' can't be set to the value of '%-.200s'"),
+N_("Variable '%-.64s' can't be set to the value of '%-.200s'"),
 /* ER_WRONG_TYPE_FOR_VAR 42000  */
-gettext_noop("Incorrect argument type to variable '%-.64s'"),
+N_("Incorrect argument type to variable '%-.64s'"),
 /* ER_VAR_CANT_BE_READ   */
-gettext_noop("Variable '%-.64s' can only be set, not read"),
+N_("Variable '%-.64s' can only be set, not read"),
 /* ER_CANT_USE_OPTION_HERE 42000  */
-gettext_noop("Incorrect usage/placement of '%s'"),
+N_("Incorrect usage/placement of '%s'"),
 /* ER_NOT_SUPPORTED_YET 42000  */
-gettext_noop("This version of MySQL doesn't yet support '%s'"),
+N_("This version of MySQL doesn't yet support '%s'"),
 /* ER_MASTER_FATAL_ERROR_READING_BINLOG   */
-gettext_noop("Got fatal error %d: '%-.128s' from master when reading data from binary log"),
+N_("Got fatal error %d: '%-.128s' from master when reading data from binary log"),
 /* ER_SLAVE_IGNORED_TABLE   */
-gettext_noop("Slave SQL thread ignored the query because of replicate-*-table rules"),
+N_("Slave SQL thread ignored the query because of replicate-*-table rules"),
 /* ER_INCORRECT_GLOBAL_LOCAL_VAR   */
-gettext_noop("Variable '%-.192s' is a %s variable"),
+N_("Variable '%-.192s' is a %s variable"),
 /* ER_WRONG_FK_DEF 42000  */
-gettext_noop("Incorrect foreign key definition for '%-.192s': %s"),
+N_("Incorrect foreign key definition for '%-.192s': %s"),
 /* ER_KEY_REF_DO_NOT_MATCH_TABLE_REF   */
-gettext_noop("Key reference and table reference don't match"),
+N_("Key reference and table reference don't match"),
 /* ER_OPERAND_COLUMNS 21000  */
-gettext_noop("Operand should contain %d column(s)"),
+N_("Operand should contain %d column(s)"),
 /* ER_SUBQUERY_NO_1_ROW 21000  */
-gettext_noop("Subquery returns more than 1 row"),
+N_("Subquery returns more than 1 row"),
 /* ER_UNKNOWN_STMT_HANDLER   */
-gettext_noop("Unknown prepared statement handler (%.*s) given to %s"),
+N_("Unknown prepared statement handler (%.*s) given to %s"),
 /* ER_CORRUPT_HELP_DB   */
-gettext_noop("Help database is corrupt or does not exist"),
+N_("Help database is corrupt or does not exist"),
 /* ER_CYCLIC_REFERENCE   */
-gettext_noop("Cyclic reference on subqueries"),
+N_("Cyclic reference on subqueries"),
 /* ER_AUTO_CONVERT   */
-gettext_noop("Converting column '%s' from %s to %s"),
+N_("Converting column '%s' from %s to %s"),
 /* ER_ILLEGAL_REFERENCE 42S22  */
-gettext_noop("Reference '%-.64s' not supported (%s)"),
+N_("Reference '%-.64s' not supported (%s)"),
 /* ER_DERIVED_MUST_HAVE_ALIAS 42000  */
-gettext_noop("Every derived table must have its own alias"),
+N_("Every derived table must have its own alias"),
 /* ER_SELECT_REDUCED 01000  */
-gettext_noop("Select %u was reduced during optimization"),
+N_("Select %u was reduced during optimization"),
 /* ER_TABLENAME_NOT_ALLOWED_HERE 42000  */
-gettext_noop("Table '%-.192s' from one of the SELECTs cannot be used in %-.32s"),
+N_("Table '%-.192s' from one of the SELECTs cannot be used in %-.32s"),
 /* ER_NOT_SUPPORTED_AUTH_MODE 08004  */
-gettext_noop("Client does not support authentication protocol requested by server; consider upgrading MySQL client"),
+N_("Client does not support authentication protocol requested by server; consider upgrading MySQL client"),
 /* ER_SPATIAL_CANT_HAVE_NULL 42000  */
-gettext_noop("All parts of a SPATIAL index must be NOT NULL"),
+N_("All parts of a SPATIAL index must be NOT NULL"),
 /* ER_COLLATION_CHARSET_MISMATCH 42000  */
-gettext_noop("COLLATION '%s' is not valid for CHARACTER SET '%s'"),
+N_("COLLATION '%s' is not valid for CHARACTER SET '%s'"),
 /* ER_SLAVE_WAS_RUNNING   */
-gettext_noop("Slave is already running"),
+N_("Slave is already running"),
 /* ER_SLAVE_WAS_NOT_RUNNING   */
-gettext_noop("Slave already has been stopped"),
+N_("Slave already has been stopped"),
 /* ER_TOO_BIG_FOR_UNCOMPRESS   */
-gettext_noop("Uncompressed data size too large; the maximum size is %d (probably, length of uncompressed data was corrupted)"),
+N_("Uncompressed data size too large; the maximum size is %d (probably, length of uncompressed data was corrupted)"),
 /* ER_ZLIB_Z_MEM_ERROR   */
-gettext_noop("ZLIB: Not enough memory"),
+N_("ZLIB: Not enough memory"),
 /* ER_ZLIB_Z_BUF_ERROR   */
-gettext_noop("ZLIB: Not enough room in the output buffer (probably, length of uncompressed data was corrupted)"),
+N_("ZLIB: Not enough room in the output buffer (probably, length of uncompressed data was corrupted)"),
 /* ER_ZLIB_Z_DATA_ERROR   */
-gettext_noop("ZLIB: Input data corrupted"),
+N_("ZLIB: Input data corrupted"),
 /* ER_CUT_VALUE_GROUP_CONCAT   */
-gettext_noop("%d line(s) were cut by GROUP_CONCAT()"),
+N_("%d line(s) were cut by GROUP_CONCAT()"),
 /* ER_WARN_TOO_FEW_RECORDS 01000  */
-gettext_noop("Row %ld doesn't contain data for all columns"),
+N_("Row %ld doesn't contain data for all columns"),
 /* ER_WARN_TOO_MANY_RECORDS 01000  */
-gettext_noop("Row %ld was truncated; it contained more data than there were input columns"),
+N_("Row %ld was truncated; it contained more data than there were input columns"),
 /* ER_WARN_NULL_TO_NOTNULL 22004  */
-gettext_noop("Column set to default value; NULL supplied to NOT NULL column '%s' at row %ld"),
+N_("Column set to default value; NULL supplied to NOT NULL column '%s' at row %ld"),
 /* ER_WARN_DATA_OUT_OF_RANGE 22003  */
-gettext_noop("Out of range value for column '%s' at row %ld"),
+N_("Out of range value for column '%s' at row %ld"),
 /* WARN_DATA_TRUNCATED 01000  */
-gettext_noop("Data truncated for column '%s' at row %ld"),
+N_("Data truncated for column '%s' at row %ld"),
 /* ER_WARN_USING_OTHER_HANDLER   */
-gettext_noop("Using storage engine %s for table '%s'"),
+N_("Using storage engine %s for table '%s'"),
 /* ER_CANT_AGGREGATE_2COLLATIONS   */
-gettext_noop("Illegal mix of collations (%s,%s) and (%s,%s) for operation '%s'"),
+N_("Illegal mix of collations (%s,%s) and (%s,%s) for operation '%s'"),
 /* ER_DROP_USER   */
-gettext_noop("Cannot drop one or more of the requested users"),
+N_("Cannot drop one or more of the requested users"),
 /* ER_REVOKE_GRANTS   */
-gettext_noop("Can't revoke all privileges for one or more of the requested users"),
+N_("Can't revoke all privileges for one or more of the requested users"),
 /* ER_CANT_AGGREGATE_3COLLATIONS   */
-gettext_noop("Illegal mix of collations (%s,%s), (%s,%s), (%s,%s) for operation '%s'"),
+N_("Illegal mix of collations (%s,%s), (%s,%s), (%s,%s) for operation '%s'"),
 /* ER_CANT_AGGREGATE_NCOLLATIONS   */
-gettext_noop("Illegal mix of collations for operation '%s'"),
+N_("Illegal mix of collations for operation '%s'"),
 /* ER_VARIABLE_IS_NOT_STRUCT   */
-gettext_noop("Variable '%-.64s' is not a variable component (can't be used as XXXX.variable_name)"),
+N_("Variable '%-.64s' is not a variable component (can't be used as XXXX.variable_name)"),
 /* ER_UNKNOWN_COLLATION   */
-gettext_noop("Unknown collation: '%-.64s'"),
+N_("Unknown collation: '%-.64s'"),
 /* ER_SLAVE_IGNORED_SSL_PARAMS   */
-gettext_noop("SSL parameters in CHANGE MASTER are ignored because this MySQL slave was compiled without SSL support; they can be used later if MySQL slave with SSL is started"),
+N_("SSL parameters in CHANGE MASTER are ignored because this MySQL slave was compiled without SSL support; they can be used later if MySQL slave with SSL is started"),
 /* ER_SERVER_IS_IN_SECURE_AUTH_MODE   */
-gettext_noop("Server is running in --secure-auth mode, but '%s'@'%s' has a password in the old format; please change the password to the new format"),
+N_("Server is running in --secure-auth mode, but '%s'@'%s' has a password in the old format; please change the password to the new format"),
 /* ER_WARN_FIELD_RESOLVED   */
-gettext_noop("Field or reference '%-.192s%s%-.192s%s%-.192s' of SELECT #%d was resolved in SELECT #%d"),
+N_("Field or reference '%-.192s%s%-.192s%s%-.192s' of SELECT #%d was resolved in SELECT #%d"),
 /* ER_BAD_SLAVE_UNTIL_COND   */
-gettext_noop("Incorrect parameter or combination of parameters for START SLAVE UNTIL"),
+N_("Incorrect parameter or combination of parameters for START SLAVE UNTIL"),
 /* ER_MISSING_SKIP_SLAVE   */
-gettext_noop("It is recommended to use --skip-slave-start when doing step-by-step replication with START SLAVE UNTIL; otherwise, you will get problems if you get an unexpected slave's mysqld restart"),
+N_("It is recommended to use --skip-slave-start when doing step-by-step replication with START SLAVE UNTIL; otherwise, you will get problems if you get an unexpected slave's mysqld restart"),
 /* ER_UNTIL_COND_IGNORED   */
-gettext_noop("SQL thread is not to be started so UNTIL options are ignored"),
+N_("SQL thread is not to be started so UNTIL options are ignored"),
 /* ER_WRONG_NAME_FOR_INDEX 42000  */
-gettext_noop("Incorrect index name '%-.100s'"),
+N_("Incorrect index name '%-.100s'"),
 /* ER_WRONG_NAME_FOR_CATALOG 42000  */
-gettext_noop("Incorrect catalog name '%-.100s'"),
+N_("Incorrect catalog name '%-.100s'"),
 /* ER_WARN_QC_RESIZE   */
-gettext_noop("Query cache failed to set size %lu; new query cache size is %lu"),
+N_("Query cache failed to set size %lu; new query cache size is %lu"),
 /* ER_BAD_FT_COLUMN   */
-gettext_noop("Column '%-.192s' cannot be part of FULLTEXT index"),
+N_("Column '%-.192s' cannot be part of FULLTEXT index"),
 /* ER_UNKNOWN_KEY_CACHE   */
-gettext_noop("Unknown key cache '%-.100s'"),
+N_("Unknown key cache '%-.100s'"),
 /* ER_WARN_HOSTNAME_WONT_WORK   */
-gettext_noop("MySQL is started in --skip-name-resolve mode; you must restart it without this switch for this grant to work"),
+N_("MySQL is started in --skip-name-resolve mode; you must restart it without this switch for this grant to work"),
 /* ER_UNKNOWN_STORAGE_ENGINE 42000  */
-gettext_noop("Unknown table engine '%s'"),
+N_("Unknown table engine '%s'"),
 /* ER_WARN_DEPRECATED_SYNTAX   */
-gettext_noop("'%s' is deprecated; use '%s' instead"),
+N_("'%s' is deprecated; use '%s' instead"),
 /* ER_NON_UPDATABLE_TABLE   */
-gettext_noop("The target table %-.100s of the %s is not updatable"),
+N_("The target table %-.100s of the %s is not updatable"),
 /* ER_FEATURE_DISABLED   */
-gettext_noop("The '%s' feature is disabled; you need MySQL built with '%s' to have it working"),
+N_("The '%s' feature is disabled; you need MySQL built with '%s' to have it working"),
 /* ER_OPTION_PREVENTS_STATEMENT   */
-gettext_noop("The MySQL server is running with the %s option so it cannot execute this statement"),
+N_("The MySQL server is running with the %s option so it cannot execute this statement"),
 /* ER_DUPLICATED_VALUE_IN_TYPE   */
-gettext_noop("Column '%-.100s' has duplicated value '%-.64s' in %s"),
+N_("Column '%-.100s' has duplicated value '%-.64s' in %s"),
 /* ER_TRUNCATED_WRONG_VALUE 22007  */
-gettext_noop("Truncated incorrect %-.32s value: '%-.128s'"),
+N_("Truncated incorrect %-.32s value: '%-.128s'"),
 /* ER_TOO_MUCH_AUTO_TIMESTAMP_COLS   */
-gettext_noop("Incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE clause"),
+N_("Incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE clause"),
 /* ER_INVALID_ON_UPDATE   */
-gettext_noop("Invalid ON UPDATE clause for '%-.192s' column"),
+N_("Invalid ON UPDATE clause for '%-.192s' column"),
 /* ER_UNSUPPORTED_PS   */
-gettext_noop("This command is not supported in the prepared statement protocol yet"),
+N_("This command is not supported in the prepared statement protocol yet"),
 /* ER_GET_ERRMSG   */
-gettext_noop("Got error %d '%-.100s' from %s"),
+N_("Got error %d '%-.100s' from %s"),
 /* ER_GET_TEMPORARY_ERRMSG   */
-gettext_noop("Got temporary error %d '%-.100s' from %s"),
+N_("Got temporary error %d '%-.100s' from %s"),
 /* ER_UNKNOWN_TIME_ZONE   */
-gettext_noop("Unknown or incorrect time zone: '%-.64s'"),
+N_("Unknown or incorrect time zone: '%-.64s'"),
 /* ER_WARN_INVALID_TIMESTAMP   */
-gettext_noop("Invalid TIMESTAMP value in column '%s' at row %ld"),
+N_("Invalid TIMESTAMP value in column '%s' at row %ld"),
 /* ER_INVALID_CHARACTER_STRING   */
-gettext_noop("Invalid %s character string: '%.64s'"),
+N_("Invalid %s character string: '%.64s'"),
 /* ER_WARN_ALLOWED_PACKET_OVERFLOWED   */
-gettext_noop("Result of %s() was larger than max_allowed_packet (%ld) - truncated"),
+N_("Result of %s() was larger than max_allowed_packet (%ld) - truncated"),
 /* ER_CONFLICTING_DECLARATIONS   */
-gettext_noop("Conflicting declarations: '%s%s' and '%s%s'"),
+N_("Conflicting declarations: '%s%s' and '%s%s'"),
 /* ER_SP_NO_RECURSIVE_CREATE 2F003  */
-gettext_noop("Can't create a %s from within another stored routine"),
+N_("Can't create a %s from within another stored routine"),
 /* ER_SP_ALREADY_EXISTS 42000  */
-gettext_noop("%s %s already exists"),
+N_("%s %s already exists"),
 /* ER_SP_DOES_NOT_EXIST 42000  */
-gettext_noop("%s %s does not exist"),
+N_("%s %s does not exist"),
 /* ER_SP_DROP_FAILED   */
-gettext_noop("Failed to DROP %s %s"),
+N_("Failed to DROP %s %s"),
 /* ER_SP_STORE_FAILED   */
-gettext_noop("Failed to CREATE %s %s"),
+N_("Failed to CREATE %s %s"),
 /* ER_SP_LILABEL_MISMATCH 42000  */
-gettext_noop("%s with no matching label: %s"),
+N_("%s with no matching label: %s"),
 /* ER_SP_LABEL_REDEFINE 42000  */
-gettext_noop("Redefining label %s"),
+N_("Redefining label %s"),
 /* ER_SP_LABEL_MISMATCH 42000  */
-gettext_noop("End-label %s without match"),
+N_("End-label %s without match"),
 /* ER_SP_UNINIT_VAR 01000  */
-gettext_noop("Referring to uninitialized variable %s"),
+N_("Referring to uninitialized variable %s"),
 /* ER_SP_BADSELECT 0A000  */
-gettext_noop("PROCEDURE %s can't return a result set in the given context"),
+N_("PROCEDURE %s can't return a result set in the given context"),
 /* ER_SP_BADRETURN 42000  */
-gettext_noop("RETURN is only allowed in a FUNCTION"),
+N_("RETURN is only allowed in a FUNCTION"),
 /* ER_SP_BADSTATEMENT 0A000  */
-gettext_noop("%s is not allowed in stored procedures"),
+N_("%s is not allowed in stored procedures"),
 /* ER_UPDATE_LOG_DEPRECATED_IGNORED 42000  */
-gettext_noop("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been ignored"),
+N_("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been ignored"),
 /* ER_UPDATE_LOG_DEPRECATED_TRANSLATED 42000  */
-gettext_noop("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been translated to SET SQL_LOG_BIN"),
+N_("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been translated to SET SQL_LOG_BIN"),
 /* ER_QUERY_INTERRUPTED 70100  */
-gettext_noop("Query execution was interrupted"),
+N_("Query execution was interrupted"),
 /* ER_SP_WRONG_NO_OF_ARGS 42000  */
-gettext_noop("Incorrect number of arguments for %s %s; expected %u, got %u"),
+N_("Incorrect number of arguments for %s %s; expected %u, got %u"),
 /* ER_SP_COND_MISMATCH 42000  */
-gettext_noop("Undefined CONDITION: %s"),
+N_("Undefined CONDITION: %s"),
 /* ER_SP_NORETURN 42000  */
-gettext_noop("No RETURN found in FUNCTION %s"),
+N_("No RETURN found in FUNCTION %s"),
 /* ER_SP_NORETURNEND 2F005  */
-gettext_noop("FUNCTION %s ended without RETURN"),
+N_("FUNCTION %s ended without RETURN"),
 /* ER_SP_BAD_CURSOR_QUERY 42000  */
-gettext_noop("Cursor statement must be a SELECT"),
+N_("Cursor statement must be a SELECT"),
 /* ER_SP_BAD_CURSOR_SELECT 42000  */
-gettext_noop("Cursor SELECT must not have INTO"),
+N_("Cursor SELECT must not have INTO"),
 /* ER_SP_CURSOR_MISMATCH 42000  */
-gettext_noop("Undefined CURSOR: %s"),
+N_("Undefined CURSOR: %s"),
 /* ER_SP_CURSOR_ALREADY_OPEN 24000  */
-gettext_noop("Cursor is already open"),
+N_("Cursor is already open"),
 /* ER_SP_CURSOR_NOT_OPEN 24000  */
-gettext_noop("Cursor is not open"),
+N_("Cursor is not open"),
 /* ER_SP_UNDECLARED_VAR 42000  */
-gettext_noop("Undeclared variable: %s"),
+N_("Undeclared variable: %s"),
 /* ER_SP_WRONG_NO_OF_FETCH_ARGS   */
-gettext_noop("Incorrect number of FETCH variables"),
+N_("Incorrect number of FETCH variables"),
 /* ER_SP_FETCH_NO_DATA 02000  */
-gettext_noop("No data - zero rows fetched, selected, or processed"),
+N_("No data - zero rows fetched, selected, or processed"),
 /* ER_SP_DUP_PARAM 42000  */
-gettext_noop("Duplicate parameter: %s"),
+N_("Duplicate parameter: %s"),
 /* ER_SP_DUP_VAR 42000  */
-gettext_noop("Duplicate variable: %s"),
+N_("Duplicate variable: %s"),
 /* ER_SP_DUP_COND 42000  */
-gettext_noop("Duplicate condition: %s"),
+N_("Duplicate condition: %s"),
 /* ER_SP_DUP_CURS 42000  */
-gettext_noop("Duplicate cursor: %s"),
+N_("Duplicate cursor: %s"),
 /* ER_SP_CANT_ALTER   */
-gettext_noop("Failed to ALTER %s %s"),
+N_("Failed to ALTER %s %s"),
 /* ER_SP_SUBSELECT_NYI 0A000  */
-gettext_noop("Subquery value not supported"),
+N_("Subquery value not supported"),
 /* ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG 0A000 */
-gettext_noop("%s is not allowed in stored function or trigger"),
+N_("%s is not allowed in stored function or trigger"),
 /* ER_SP_VARCOND_AFTER_CURSHNDLR 42000  */
-gettext_noop("Variable or condition declaration after cursor or handler declaration"),
+N_("Variable or condition declaration after cursor or handler declaration"),
 /* ER_SP_CURSOR_AFTER_HANDLER 42000  */
-gettext_noop("Cursor declaration after handler declaration"),
+N_("Cursor declaration after handler declaration"),
 /* ER_SP_CASE_NOT_FOUND 20000  */
-gettext_noop("Case not found for CASE statement"),
+N_("Case not found for CASE statement"),
 /* ER_FPARSER_TOO_BIG_FILE   */
-gettext_noop("Configuration file '%-.192s' is too big"),
+N_("Configuration file '%-.192s' is too big"),
 /* ER_FPARSER_BAD_HEADER   */
-gettext_noop("Malformed file type header in file '%-.192s'"),
+N_("Malformed file type header in file '%-.192s'"),
 /* ER_FPARSER_EOF_IN_COMMENT   */
-gettext_noop("Unexpected end of file while parsing comment '%-.200s'"),
+N_("Unexpected end of file while parsing comment '%-.200s'"),
 /* ER_FPARSER_ERROR_IN_PARAMETER   */
-gettext_noop("Error while parsing parameter '%-.192s' (line: '%-.192s')"),
+N_("Error while parsing parameter '%-.192s' (line: '%-.192s')"),
 /* ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER   */
-gettext_noop("Unexpected end of file while skipping unknown parameter '%-.192s'"),
+N_("Unexpected end of file while skipping unknown parameter '%-.192s'"),
 /* ER_VIEW_NO_EXPLAIN   */
-gettext_noop("EXPLAIN/SHOW can not be issued; lacking privileges for underlying table"),
+N_("EXPLAIN/SHOW can not be issued; lacking privileges for underlying table"),
 /* ER_FRM_UNKNOWN_TYPE   */
-gettext_noop("File '%-.192s' has unknown type '%-.64s' in its header"),
+N_("File '%-.192s' has unknown type '%-.64s' in its header"),
 /* ER_WRONG_OBJECT   */
-gettext_noop("'%-.192s.%-.192s' is not %s"),
+N_("'%-.192s.%-.192s' is not %s"),
 /* ER_NONUPDATEABLE_COLUMN   */
-gettext_noop("Column '%-.192s' is not updatable"),
+N_("Column '%-.192s' is not updatable"),
 /* ER_VIEW_SELECT_DERIVED   */
-gettext_noop("View's SELECT contains a subquery in the FROM clause"),
+N_("View's SELECT contains a subquery in the FROM clause"),
 /* ER_VIEW_SELECT_CLAUSE   */
-gettext_noop("View's SELECT contains a '%s' clause"),
+N_("View's SELECT contains a '%s' clause"),
 /* ER_VIEW_SELECT_VARIABLE   */
-gettext_noop("View's SELECT contains a variable or parameter"),
+N_("View's SELECT contains a variable or parameter"),
 /* ER_VIEW_SELECT_TMPTABLE   */
-gettext_noop("View's SELECT refers to a temporary table '%-.192s'"),
+N_("View's SELECT refers to a temporary table '%-.192s'"),
 /* ER_VIEW_WRONG_LIST   */
-gettext_noop("View's SELECT and view's field list have different column counts"),
+N_("View's SELECT and view's field list have different column counts"),
 /* ER_WARN_VIEW_MERGE   */
-gettext_noop("View merge algorithm can't be used here for now (assumed undefined algorithm)"),
+N_("View merge algorithm can't be used here for now (assumed undefined algorithm)"),
 /* ER_WARN_VIEW_WITHOUT_KEY   */
-gettext_noop("View being updated does not have complete key of underlying table in it"),
+N_("View being updated does not have complete key of underlying table in it"),
 /* ER_VIEW_INVALID   */
-gettext_noop("View '%-.192s.%-.192s' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them"),
+N_("View '%-.192s.%-.192s' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them"),
 /* ER_SP_NO_DROP_SP   */
-gettext_noop("Can't drop or alter a %s from within another stored routine"),
+N_("Can't drop or alter a %s from within another stored routine"),
 /* ER_SP_GOTO_IN_HNDLR   */
-gettext_noop("GOTO is not allowed in a stored procedure handler"),
+N_("GOTO is not allowed in a stored procedure handler"),
 /* ER_TRG_ALREADY_EXISTS   */
-gettext_noop("Trigger already exists"),
+N_("Trigger already exists"),
 /* ER_TRG_DOES_NOT_EXIST   */
-gettext_noop("Trigger does not exist"),
+N_("Trigger does not exist"),
 /* ER_TRG_ON_VIEW_OR_TEMP_TABLE   */
-gettext_noop("Trigger's '%-.192s' is view or temporary table"),
+N_("Trigger's '%-.192s' is view or temporary table"),
 /* ER_TRG_CANT_CHANGE_ROW   */
-gettext_noop("Updating of %s row is not allowed in %strigger"),
+N_("Updating of %s row is not allowed in %strigger"),
 /* ER_TRG_NO_SUCH_ROW_IN_TRG   */
-gettext_noop("There is no %s row in %s trigger"),
+N_("There is no %s row in %s trigger"),
 /* ER_NO_DEFAULT_FOR_FIELD   */
-gettext_noop("Field '%-.192s' doesn't have a default value"),
+N_("Field '%-.192s' doesn't have a default value"),
 /* ER_DIVISION_BY_ZERO 22012  */
-gettext_noop("Division by 0"),
+N_("Division by 0"),
 /* ER_TRUNCATED_WRONG_VALUE_FOR_FIELD   */
-gettext_noop("Incorrect %-.32s value: '%-.128s' for column '%.192s' at row %ld"),
+N_("Incorrect %-.32s value: '%-.128s' for column '%.192s' at row %ld"),
 /* ER_ILLEGAL_VALUE_FOR_TYPE 22007  */
-gettext_noop("Illegal %s '%-.192s' value found during parsing"),
+N_("Illegal %s '%-.192s' value found during parsing"),
 /* ER_VIEW_NONUPD_CHECK   */
-gettext_noop("CHECK OPTION on non-updatable view '%-.192s.%-.192s'"),
+N_("CHECK OPTION on non-updatable view '%-.192s.%-.192s'"),
 /* ER_VIEW_CHECK_FAILED   */
-gettext_noop("CHECK OPTION failed '%-.192s.%-.192s'"),
+N_("CHECK OPTION failed '%-.192s.%-.192s'"),
 /* ER_PROCACCESS_DENIED_ERROR 42000  */
-gettext_noop("%-.16s command denied to user '%-.48s'@'%-.64s' for routine '%-.192s'"),
+N_("%-.16s command denied to user '%-.48s'@'%-.64s' for routine '%-.192s'"),
 /* ER_RELAY_LOG_FAIL   */
-gettext_noop("Failed purging old relay logs: %s"),
+N_("Failed purging old relay logs: %s"),
 /* ER_PASSWD_LENGTH   */
-gettext_noop("Password hash should be a %d-digit hexadecimal number"),
+N_("Password hash should be a %d-digit hexadecimal number"),
 /* ER_UNKNOWN_TARGET_BINLOG   */
-gettext_noop("Target log not found in binlog index"),
+N_("Target log not found in binlog index"),
 /* ER_IO_ERR_LOG_INDEX_READ   */
-gettext_noop("I/O error reading log index file"),
+N_("I/O error reading log index file"),
 /* ER_BINLOG_PURGE_PROHIBITED   */
-gettext_noop("Server configuration does not permit binlog purge"),
+N_("Server configuration does not permit binlog purge"),
 /* ER_FSEEK_FAIL   */
-gettext_noop("Failed on fseek()"),
+N_("Failed on fseek()"),
 /* ER_BINLOG_PURGE_FATAL_ERR   */
-gettext_noop("Fatal error during log purge"),
+N_("Fatal error during log purge"),
 /* ER_LOG_IN_USE   */
-gettext_noop("A purgeable log is in use, will not purge"),
+N_("A purgeable log is in use, will not purge"),
 /* ER_LOG_PURGE_UNKNOWN_ERR   */
-gettext_noop("Unknown error during log purge"),
+N_("Unknown error during log purge"),
 /* ER_RELAY_LOG_INIT   */
-gettext_noop("Failed initializing relay log position: %s"),
+N_("Failed initializing relay log position: %s"),
 /* ER_NO_BINARY_LOGGING   */
-gettext_noop("You are not using binary logging"),
+N_("You are not using binary logging"),
 /* ER_RESERVED_SYNTAX   */
-gettext_noop("The '%-.64s' syntax is reserved for purposes internal to the MySQL server"),
+N_("The '%-.64s' syntax is reserved for purposes internal to the MySQL server"),
 /* ER_WSAS_FAILED   */
-gettext_noop("WSAStartup Failed"),
+N_("WSAStartup Failed"),
 /* ER_DIFF_GROUPS_PROC   */
-gettext_noop("Can't handle procedures with different groups yet"),
+N_("Can't handle procedures with different groups yet"),
 /* ER_NO_GROUP_FOR_PROC   */
-gettext_noop("Select must have a group with this procedure"),
+N_("Select must have a group with this procedure"),
 /* ER_ORDER_WITH_PROC   */
-gettext_noop("Can't use ORDER clause with this procedure"),
+N_("Can't use ORDER clause with this procedure"),
 /* ER_LOGGING_PROHIBIT_CHANGING_OF   */
-gettext_noop("Binary logging and replication forbid changing the global server %s"),
+N_("Binary logging and replication forbid changing the global server %s"),
 /* ER_NO_FILE_MAPPING   */
-gettext_noop("Can't map file: %-.200s, errno: %d"),
+N_("Can't map file: %-.200s, errno: %d"),
 /* ER_WRONG_MAGIC   */
-gettext_noop("Wrong magic in %-.64s"),
+N_("Wrong magic in %-.64s"),
 /* ER_PS_MANY_PARAM   */
-gettext_noop("Prepared statement contains too many placeholders"),
+N_("Prepared statement contains too many placeholders"),
 /* ER_KEY_PART_0   */
-gettext_noop("Key part '%-.192s' length cannot be 0"),
+N_("Key part '%-.192s' length cannot be 0"),
 /* ER_VIEW_CHECKSUM   */
-gettext_noop("View text checksum failed"),
+N_("View text checksum failed"),
 /* ER_VIEW_MULTIUPDATE   */
-gettext_noop("Can not modify more than one base table through a join view '%-.192s.%-.192s'"),
+N_("Can not modify more than one base table through a join view '%-.192s.%-.192s'"),
 /* ER_VIEW_NO_INSERT_FIELD_LIST   */
-gettext_noop("Can not insert into join view '%-.192s.%-.192s' without fields list"),
+N_("Can not insert into join view '%-.192s.%-.192s' without fields list"),
 /* ER_VIEW_DELETE_MERGE_VIEW   */
-gettext_noop("Can not delete from join view '%-.192s.%-.192s'"),
+N_("Can not delete from join view '%-.192s.%-.192s'"),
 /* ER_CANNOT_USER   */
-gettext_noop("Operation %s failed for %.256s"),
+N_("Operation %s failed for %.256s"),
 /* ER_XAER_NOTA XAE04 */
-gettext_noop("XAER_NOTA: Unknown XID"),
+N_("XAER_NOTA: Unknown XID"),
 /* ER_XAER_INVAL XAE05 */
-gettext_noop("XAER_INVAL: Invalid arguments (or unsupported command)"),
+N_("XAER_INVAL: Invalid arguments (or unsupported command)"),
 /* ER_XAER_RMFAIL XAE07 */
-gettext_noop("XAER_RMFAIL: The command cannot be executed when global transaction is in the  %.64s state"),
+N_("XAER_RMFAIL: The command cannot be executed when global transaction is in the  %.64s state"),
 /* ER_XAER_OUTSIDE XAE09 */
-gettext_noop("XAER_OUTSIDE: Some work is done outside global transaction"),
+N_("XAER_OUTSIDE: Some work is done outside global transaction"),
 /* ER_XAER_RMERR XAE03 */
-gettext_noop("XAER_RMERR: Fatal error occurred in the transaction branch - check your data for consistency"),
+N_("XAER_RMERR: Fatal error occurred in the transaction branch - check your data for consistency"),
 /* ER_XA_RBROLLBACK XA100 */
-gettext_noop("XA_RBROLLBACK: Transaction branch was rolled back"),
+N_("XA_RBROLLBACK: Transaction branch was rolled back"),
 /* ER_NONEXISTING_PROC_GRANT 42000  */
-gettext_noop("There is no such grant defined for user '%-.48s' on host '%-.64s' on routine '%-.192s'"),
+N_("There is no such grant defined for user '%-.48s' on host '%-.64s' on routine '%-.192s'"),
 /* ER_PROC_AUTO_GRANT_FAIL */
-gettext_noop("Failed to grant EXECUTE and ALTER ROUTINE privileges"),
+N_("Failed to grant EXECUTE and ALTER ROUTINE privileges"),
 /* ER_PROC_AUTO_REVOKE_FAIL */
-gettext_noop("Failed to revoke all privileges to dropped routine"),
+N_("Failed to revoke all privileges to dropped routine"),
 /* ER_DATA_TOO_LONG 22001 */
-gettext_noop("Data too long for column '%s' at row %ld"),
+N_("Data too long for column '%s' at row %ld"),
 /* ER_SP_BAD_SQLSTATE 42000 */
-gettext_noop("Bad SQLSTATE: '%s'"),
+N_("Bad SQLSTATE: '%s'"),
 /* ER_STARTUP */
-gettext_noop("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d  %s"),
+N_("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d  %s"),
 /* ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR */
-gettext_noop("Can't load value from file with fixed size rows to variable"),
+N_("Can't load value from file with fixed size rows to variable"),
 /* ER_CANT_CREATE_USER_WITH_GRANT 42000 */
-gettext_noop("You are not allowed to create a user with GRANT"),
+N_("You are not allowed to create a user with GRANT"),
 /* ER_WRONG_VALUE_FOR_TYPE   */
-gettext_noop("Incorrect %-.32s value: '%-.128s' for function %-.32s"),
+N_("Incorrect %-.32s value: '%-.128s' for function %-.32s"),
 /* ER_TABLE_DEF_CHANGED */
-gettext_noop("Table definition has changed, please retry transaction"),
+N_("Table definition has changed, please retry transaction"),
 /* ER_SP_DUP_HANDLER 42000 */
-gettext_noop("Duplicate handler declared in the same block"),
+N_("Duplicate handler declared in the same block"),
 /* ER_SP_NOT_VAR_ARG 42000 */
-gettext_noop("OUT or INOUT argument %d for routine %s is not a variable or NEW pseudo-variable in BEFORE trigger"),
+N_("OUT or INOUT argument %d for routine %s is not a variable or NEW pseudo-variable in BEFORE trigger"),
 /* ER_SP_NO_RETSET 0A000 */
-gettext_noop("Not allowed to return a result set from a %s"),
+N_("Not allowed to return a result set from a %s"),
 /* ER_CANT_CREATE_GEOMETRY_OBJECT 22003  */
-gettext_noop("Cannot get geometry object from data you send to the GEOMETRY field"),
+N_("Cannot get geometry object from data you send to the GEOMETRY field"),
 /* ER_FAILED_ROUTINE_BREAK_BINLOG */
-gettext_noop("A routine failed and has neither NO SQL nor READS SQL DATA in its declaration and binary logging is enabled; if non-transactional tables were updated, the binary log will miss their changes"),
+N_("A routine failed and has neither NO SQL nor READS SQL DATA in its declaration and binary logging is enabled; if non-transactional tables were updated, the binary log will miss their changes"),
 /* ER_BINLOG_UNSAFE_ROUTINE */
-gettext_noop("This function has none of DETERMINISTIC, NO SQL, or READS SQL DATA in its declaration and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
+N_("This function has none of DETERMINISTIC, NO SQL, or READS SQL DATA in its declaration and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
 /* ER_BINLOG_CREATE_ROUTINE_NEED_SUPER */
-gettext_noop("You do not have the SUPER privilege and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
+N_("You do not have the SUPER privilege and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
 /* ER_EXEC_STMT_WITH_OPEN_CURSOR */
-gettext_noop("You can't execute a prepared statement which has an open cursor associated with it. Reset the statement to re-execute it."),
+N_("You can't execute a prepared statement which has an open cursor associated with it. Reset the statement to re-execute it."),
 /* ER_STMT_HAS_NO_OPEN_CURSOR */
-gettext_noop("The statement (%lu) has no open cursor."),
+N_("The statement (%lu) has no open cursor."),
 /* ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG */
-gettext_noop("Explicit or implicit commit is not allowed in stored function or trigger."),
+N_("Explicit or implicit commit is not allowed in stored function or trigger."),
 /* ER_NO_DEFAULT_FOR_VIEW_FIELD */
-gettext_noop("Field of view '%-.192s.%-.192s' underlying table doesn't have a default value"),
+N_("Field of view '%-.192s.%-.192s' underlying table doesn't have a default value"),
 /* ER_SP_NO_RECURSION */
-gettext_noop("Recursive stored functions and triggers are not allowed."),
+N_("Recursive stored functions and triggers are not allowed."),
 /* ER_TOO_BIG_SCALE 42000 S1009 */
-gettext_noop("Too big scale %d specified for column '%-.192s'. Maximum is %d."),
+N_("Too big scale %d specified for column '%-.192s'. Maximum is %d."),
 /* ER_TOO_BIG_PRECISION 42000 S1009 */
-gettext_noop("Too big precision %d specified for column '%-.192s'. Maximum is %d."),
+N_("Too big precision %d specified for column '%-.192s'. Maximum is %d."),
 /* ER_M_BIGGER_THAN_D 42000 S1009 */
-gettext_noop("For float(M,D), double(M,D) or decimal(M,D), M must be >= D (column '%-.192s')."),
+N_("For float(M,D), double(M,D) or decimal(M,D), M must be >= D (column '%-.192s')."),
 /* ER_WRONG_LOCK_OF_SYSTEM_TABLE */
-gettext_noop("You can't combine write-locking of system tables with other tables or lock types"),
+N_("You can't combine write-locking of system tables with other tables or lock types"),
 /* ER_CONNECT_TO_FOREIGN_DATA_SOURCE */
-gettext_noop("Unable to connect to foreign data source: %.64s"),
+N_("Unable to connect to foreign data source: %.64s"),
 /* ER_QUERY_ON_FOREIGN_DATA_SOURCE */
-gettext_noop("There was a problem processing the query on the foreign data source. Data source error: %-.64s"),
+N_("There was a problem processing the query on the foreign data source. Data source error: %-.64s"),
 /* ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST */
-gettext_noop("The foreign data source you are trying to reference does not exist. Data source error:  %-.64s"),
+N_("The foreign data source you are trying to reference does not exist. Data source error:  %-.64s"),
 /* ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE */
-gettext_noop("Can't create federated table. The data source connection string '%-.64s' is not in the correct format"),
+N_("Can't create federated table. The data source connection string '%-.64s' is not in the correct format"),
 /* ER_FOREIGN_DATA_STRING_INVALID */
-gettext_noop("The data source connection string '%-.64s' is not in the correct format"),
+N_("The data source connection string '%-.64s' is not in the correct format"),
 /* ER_CANT_CREATE_FEDERATED_TABLE   */
-gettext_noop("Can't create federated table. Foreign data src error:  %-.64s"),
+N_("Can't create federated table. Foreign data src error:  %-.64s"),
 /* ER_TRG_IN_WRONG_SCHEMA   */
-gettext_noop("Trigger in wrong schema"),
+N_("Trigger in wrong schema"),
 /* ER_STACK_OVERRUN_NEED_MORE */
-gettext_noop("Thread stack overrun:  %ld bytes used of a %ld byte stack, and %ld bytes needed.  Use 'mysqld -O thread_stack=#' to specify a bigger stack."),
+N_("Thread stack overrun:  %ld bytes used of a %ld byte stack, and %ld bytes needed.  Use 'mysqld -O thread_stack=#' to specify a bigger stack."),
 /* ER_TOO_LONG_BODY 42000 S1009 */
-gettext_noop("Routine body for '%-.100s' is too long"),
+N_("Routine body for '%-.100s' is too long"),
 /* ER_WARN_CANT_DROP_DEFAULT_KEYCACHE */
-gettext_noop("Cannot drop default keycache"),
+N_("Cannot drop default keycache"),
 /* ER_TOO_BIG_DISPLAYWIDTH 42000 S1009 */
-gettext_noop("Display width out of range for column '%-.192s' (max = %d)"),
+N_("Display width out of range for column '%-.192s' (max = %d)"),
 /* ER_XAER_DUPID XAE08 */
-gettext_noop("XAER_DUPID: The XID already exists"),
+N_("XAER_DUPID: The XID already exists"),
 /* ER_DATETIME_FUNCTION_OVERFLOW 22008 */
-gettext_noop("Datetime function: %-.32s field overflow"),
+N_("Datetime function: %-.32s field overflow"),
 /* ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG */
-gettext_noop("Can't update table '%-.192s' in stored function/trigger because it is already used by statement which invoked this stored function/trigger."),
+N_("Can't update table '%-.192s' in stored function/trigger because it is already used by statement which invoked this stored function/trigger."),
 /* ER_VIEW_PREVENT_UPDATE */
-gettext_noop("The definition of table '%-.192s' prevents operation %.192s on table '%-.192s'."),
+N_("The definition of table '%-.192s' prevents operation %.192s on table '%-.192s'."),
 /* ER_PS_NO_RECURSION */
-gettext_noop("The prepared statement contains a stored routine call that refers to that same statement. It's not allowed to execute a prepared statement in such a recursive manner"),
+N_("The prepared statement contains a stored routine call that refers to that same statement. It's not allowed to execute a prepared statement in such a recursive manner"),
 /* ER_SP_CANT_SET_AUTOCOMMIT */
-gettext_noop("Not allowed to set autocommit from a stored function or trigger"),
+N_("Not allowed to set autocommit from a stored function or trigger"),
 /* ER_MALFORMED_DEFINER */
-gettext_noop("Definer is not fully qualified"),
+N_("Definer is not fully qualified"),
 /* ER_VIEW_FRM_NO_USER */
-gettext_noop("View '%-.192s'.'%-.192s' has no definer information (old table format). Current user is used as definer. Please recreate the view!"),
+N_("View '%-.192s'.'%-.192s' has no definer information (old table format). Current user is used as definer. Please recreate the view!"),
 /* ER_VIEW_OTHER_USER */
-gettext_noop("You need the SUPER privilege for creation view with '%-.192s'@'%-.192s' definer"),
+N_("You need the SUPER privilege for creation view with '%-.192s'@'%-.192s' definer"),
 /* ER_NO_SUCH_USER */
-gettext_noop("The user specified as a definer ('%-.64s'@'%-.64s') does not exist"),
+N_("The user specified as a definer ('%-.64s'@'%-.64s') does not exist"),
 /* ER_FORBID_SCHEMA_CHANGE */
-gettext_noop("Changing schema from '%-.192s' to '%-.192s' is not allowed."),
+N_("Changing schema from '%-.192s' to '%-.192s' is not allowed."),
 /* ER_ROW_IS_REFERENCED_2 23000 */
-gettext_noop("Cannot delete or update a parent row: a foreign key constraint fails (%.192s)"),
+N_("Cannot delete or update a parent row: a foreign key constraint fails (%.192s)"),
 /* ER_NO_REFERENCED_ROW_2 23000 */
-gettext_noop("Cannot add or update a child row: a foreign key constraint fails (%.192s)"),
+N_("Cannot add or update a child row: a foreign key constraint fails (%.192s)"),
 /* ER_SP_BAD_VAR_SHADOW 42000 */
-gettext_noop("Variable '%-.64s' must be quoted with `...`, or renamed"),
+N_("Variable '%-.64s' must be quoted with `...`, or renamed"),
 /* ER_TRG_NO_DEFINER */
-gettext_noop("No definer attribute for trigger '%-.192s'.'%-.192s'. The trigger will be activated under the authorization of the invoker, which may have insufficient privileges. Please recreate the trigger."),
+N_("No definer attribute for trigger '%-.192s'.'%-.192s'. The trigger will be activated under the authorization of the invoker, which may have insufficient privileges. Please recreate the trigger."),
 /* ER_OLD_FILE_FORMAT */
-gettext_noop("'%-.192s' has an old format, you should re-create the '%s' object(s)"),
+N_("'%-.192s' has an old format, you should re-create the '%s' object(s)"),
 /* ER_SP_RECURSION_LIMIT */
-gettext_noop("Recursive limit %d (as set by the max_sp_recursion_depth variable) was exceeded for routine %.192s"),
+N_("Recursive limit %d (as set by the max_sp_recursion_depth variable) was exceeded for routine %.192s"),
 /* ER_SP_PROC_TABLE_CORRUPT */
-gettext_noop("Failed to load routine %-.192s. The table mysql.proc is missing, corrupt, or contains bad data (internal code %d)"),
+N_("Failed to load routine %-.192s. The table mysql.proc is missing, corrupt, or contains bad data (internal code %d)"),
 /* ER_SP_WRONG_NAME 42000 */
-gettext_noop("Incorrect routine name '%-.192s'"),
+N_("Incorrect routine name '%-.192s'"),
 /* ER_TABLE_NEEDS_UPGRADE */
-gettext_noop("Table upgrade required. Please do \"REPAIR TABLE `%-.32s`\" to fix it!"),
+N_("Table upgrade required. Please do \"REPAIR TABLE `%-.32s`\" to fix it!"),
 /* ER_SP_NO_AGGREGATE 42000 */
-gettext_noop("AGGREGATE is not supported for stored functions"),
+N_("AGGREGATE is not supported for stored functions"),
 /* ER_MAX_PREPARED_STMT_COUNT_REACHED 42000 */
-gettext_noop("Can't create more than max_prepared_stmt_count statements (current value: %lu)"),
+N_("Can't create more than max_prepared_stmt_count statements (current value: %lu)"),
 /* ER_VIEW_RECURSIVE */
-gettext_noop("`%-.192s`.`%-.192s` contains view recursion"),
+N_("`%-.192s`.`%-.192s` contains view recursion"),
 /* ER_NON_GROUPING_FIELD_USED 42000 */
-gettext_noop("non-grouping field '%-.192s' is used in %-.64s clause"),
+N_("non-grouping field '%-.192s' is used in %-.64s clause"),
 /* ER_TABLE_CANT_HANDLE_SPKEYS */
-gettext_noop("The used table type doesn't support SPATIAL indexes"),
+N_("The used table type doesn't support SPATIAL indexes"),
 /* ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA */
-gettext_noop("Triggers can not be created on system tables"),
+N_("Triggers can not be created on system tables"),
 /* ER_REMOVED_SPACES */
-gettext_noop("Leading spaces are removed from name '%s'"),
+N_("Leading spaces are removed from name '%s'"),
 /* ER_AUTOINC_READ_FAILED */
-gettext_noop("Failed to read auto-increment value from storage engine"),
+N_("Failed to read auto-increment value from storage engine"),
 /* ER_USERNAME */
-gettext_noop("user name"),
+N_("user name"),
 /* ER_HOSTNAME */
-gettext_noop("host name"),
+N_("host name"),
 /* ER_WRONG_STRING_LENGTH */
-gettext_noop("String '%-.70s' is too long for %s (should be no longer than %d)"),
+N_("String '%-.70s' is too long for %s (should be no longer than %d)"),
 /* ER_NON_INSERTABLE_TABLE   */
-gettext_noop("The target table %-.100s of the %s is not insertable-into"),
+N_("The target table %-.100s of the %s is not insertable-into"),
 /* ER_ADMIN_WRONG_MRG_TABLE */
-gettext_noop("Table '%-.64s' is differently defined or of non-MyISAM type or doesn't exist"),
+N_("Table '%-.64s' is differently defined or of non-MyISAM type or doesn't exist"),
 /* ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT */
-gettext_noop("Too high level of nesting for select"),
+N_("Too high level of nesting for select"),
 /* ER_NAME_BECOMES_EMPTY */
-gettext_noop("Name '%-.64s' has become ''"),
+N_("Name '%-.64s' has become ''"),
 /* ER_AMBIGUOUS_FIELD_TERM */
-gettext_noop("First character of the FIELDS TERMINATED string is ambiguous; please use non-optional and non-empty FIELDS ENCLOSED BY"),
+N_("First character of the FIELDS TERMINATED string is ambiguous; please use non-optional and non-empty FIELDS ENCLOSED BY"),
 /* ER_FOREIGN_SERVER_EXISTS */
-gettext_noop("The foreign server, %s, you are trying to create already exists."),
+N_("The foreign server, %s, you are trying to create already exists."),
 /* ER_FOREIGN_SERVER_DOESNT_EXIST */
-gettext_noop("The foreign server name you are trying to reference does not exist. Data source error:  %-.64s"),
+N_("The foreign server name you are trying to reference does not exist. Data source error:  %-.64s"),
 /* ER_ILLEGAL_HA_CREATE_OPTION */
-gettext_noop("Table storage engine '%-.64s' does not support the create option '%.64s'"),
+N_("Table storage engine '%-.64s' does not support the create option '%.64s'"),
 /* ER_PARTITION_REQUIRES_VALUES_ERROR */
-gettext_noop("Syntax error: %-.64s PARTITIONING requires definition of VALUES %-.64s for each partition"),
+N_("Syntax error: %-.64s PARTITIONING requires definition of VALUES %-.64s for each partition"),
 /* ER_PARTITION_WRONG_VALUES_ERROR */
-gettext_noop("Only %-.64s PARTITIONING can use VALUES %-.64s in partition definition"),
+N_("Only %-.64s PARTITIONING can use VALUES %-.64s in partition definition"),
 /* ER_PARTITION_MAXVALUE_ERROR */
-gettext_noop("MAXVALUE can only be used in last partition definition"),
+N_("MAXVALUE can only be used in last partition definition"),
 /* ER_PARTITION_SUBPARTITION_ERROR */
-gettext_noop("Subpartitions can only be hash partitions and by key"),
+N_("Subpartitions can only be hash partitions and by key"),
 /* ER_PARTITION_SUBPART_MIX_ERROR */
-gettext_noop("Must define subpartitions on all partitions if on one partition"),
+N_("Must define subpartitions on all partitions if on one partition"),
 /* ER_PARTITION_WRONG_NO_PART_ERROR */
-gettext_noop("Wrong number of partitions defined, mismatch with previous setting"),
+N_("Wrong number of partitions defined, mismatch with previous setting"),
 /* ER_PARTITION_WRONG_NO_SUBPART_ERROR */
-gettext_noop("Wrong number of subpartitions defined, mismatch with previous setting"),
+N_("Wrong number of subpartitions defined, mismatch with previous setting"),
 /* ER_CONST_EXPR_IN_PARTITION_FUNC_ERROR */
-gettext_noop("Constant/Random expression in (sub)partitioning function is not allowed"),
+N_("Constant/Random expression in (sub)partitioning function is not allowed"),
 /* ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR */
-gettext_noop("Expression in RANGE/LIST VALUES must be constant"),
+N_("Expression in RANGE/LIST VALUES must be constant"),
 /* ER_FIELD_NOT_FOUND_PART_ERROR */
-gettext_noop("Field in list of fields for partition function not found in table"),
+N_("Field in list of fields for partition function not found in table"),
 /* ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR */
-gettext_noop("List of fields is only allowed in KEY partitions"),
+N_("List of fields is only allowed in KEY partitions"),
 /* ER_INCONSISTENT_PARTITION_INFO_ERROR */
-gettext_noop("The partition info in the frm file is not consistent with what can be written into the frm file"),
+N_("The partition info in the frm file is not consistent with what can be written into the frm file"),
 /* ER_PARTITION_FUNC_NOT_ALLOWED_ERROR */
-gettext_noop("The %-.192s function returns the wrong type"),
+N_("The %-.192s function returns the wrong type"),
 /* ER_PARTITIONS_MUST_BE_DEFINED_ERROR */
-gettext_noop("For %-.64s partitions each partition must be defined"),
+N_("For %-.64s partitions each partition must be defined"),
 /* ER_RANGE_NOT_INCREASING_ERROR */
-gettext_noop("VALUES LESS THAN value must be strictly increasing for each partition"),
+N_("VALUES LESS THAN value must be strictly increasing for each partition"),
 /* ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR */
-gettext_noop("VALUES value must be of same type as partition function"),
+N_("VALUES value must be of same type as partition function"),
 /* ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR */
-gettext_noop("Multiple definition of same constant in list partitioning"),
+N_("Multiple definition of same constant in list partitioning"),
 /* ER_PARTITION_ENTRY_ERROR */
-gettext_noop("Partitioning can not be used stand-alone in query"),
+N_("Partitioning can not be used stand-alone in query"),
 /* ER_MIX_HANDLER_ERROR */
-gettext_noop("The mix of handlers in the partitions is not allowed in this version of MySQL"),
+N_("The mix of handlers in the partitions is not allowed in this version of MySQL"),
 /* ER_PARTITION_NOT_DEFINED_ERROR */
-gettext_noop("For the partitioned engine it is necessary to define all %-.64s"),
+N_("For the partitioned engine it is necessary to define all %-.64s"),
 /* ER_TOO_MANY_PARTITIONS_ERROR */
-gettext_noop("Too many partitions (including subpartitions) were defined"),
+N_("Too many partitions (including subpartitions) were defined"),
 /* ER_SUBPARTITION_ERROR */
-gettext_noop("It is only possible to mix RANGE/LIST partitioning with HASH/KEY partitioning for subpartitioning"),
+N_("It is only possible to mix RANGE/LIST partitioning with HASH/KEY partitioning for subpartitioning"),
 /* ER_CANT_CREATE_HANDLER_FILE */
-gettext_noop("Failed to create specific handler file"),
+N_("Failed to create specific handler file"),
 /* ER_BLOB_FIELD_IN_PART_FUNC_ERROR */
-gettext_noop("A BLOB field is not allowed in partition function"),
+N_("A BLOB field is not allowed in partition function"),
 /* ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF */
-gettext_noop("A %-.192s must include all columns in the table's partitioning function"),
+N_("A %-.192s must include all columns in the table's partitioning function"),
 /* ER_NO_PARTS_ERROR */
-gettext_noop("Number of %-.64s = 0 is not an allowed value"),
+N_("Number of %-.64s = 0 is not an allowed value"),
 /* ER_PARTITION_MGMT_ON_NONPARTITIONED */
-gettext_noop("Partition management on a not partitioned table is not possible"),
+N_("Partition management on a not partitioned table is not possible"),
 /* ER_FOREIGN_KEY_ON_PARTITIONED */
-gettext_noop("Foreign key condition is not yet supported in conjunction with partitioning"),
+N_("Foreign key condition is not yet supported in conjunction with partitioning"),
 /* ER_DROP_PARTITION_NON_EXISTENT */
-gettext_noop("Error in list of partitions to %-.64s"),
+N_("Error in list of partitions to %-.64s"),
 /* ER_DROP_LAST_PARTITION */
-gettext_noop("Cannot remove all partitions, use DROP TABLE instead"),
+N_("Cannot remove all partitions, use DROP TABLE instead"),
 /* ER_COALESCE_ONLY_ON_HASH_PARTITION */
-gettext_noop("COALESCE PARTITION can only be used on HASH/KEY partitions"),
+N_("COALESCE PARTITION can only be used on HASH/KEY partitions"),
 /* ER_REORG_HASH_ONLY_ON_SAME_NO */
-gettext_noop("REORGANISE PARTITION can only be used to reorganise partitions not to change their numbers"),
+N_("REORGANISE PARTITION can only be used to reorganise partitions not to change their numbers"),
 /* ER_REORG_NO_PARAM_ERROR */
-gettext_noop("REORGANISE PARTITION without parameters can only be used on auto-partitioned tables using HASH PARTITIONs"),
+N_("REORGANISE PARTITION without parameters can only be used on auto-partitioned tables using HASH PARTITIONs"),
 /* ER_ONLY_ON_RANGE_LIST_PARTITION */
-gettext_noop("%-.64s PARTITION can only be used on RANGE/LIST partitions"),
+N_("%-.64s PARTITION can only be used on RANGE/LIST partitions"),
 /* ER_ADD_PARTITION_SUBPART_ERROR */
-gettext_noop("Trying to Add partition(s) with wrong number of subpartitions"),
+N_("Trying to Add partition(s) with wrong number of subpartitions"),
 /* ER_ADD_PARTITION_NO_NEW_PARTITION */
-gettext_noop("At least one partition must be added"),
+N_("At least one partition must be added"),
 /* ER_COALESCE_PARTITION_NO_PARTITION */
-gettext_noop("At least one partition must be coalesced"),
+N_("At least one partition must be coalesced"),
 /* ER_REORG_PARTITION_NOT_EXIST */
-gettext_noop("More partitions to reorganise than there are partitions"),
+N_("More partitions to reorganise than there are partitions"),
 /* ER_SAME_NAME_PARTITION */
-gettext_noop("Duplicate partition name %-.192s"),
+N_("Duplicate partition name %-.192s"),
 /* ER_NO_BINLOG_ERROR */
-gettext_noop("It is not allowed to shut off binlog on this command"),
+N_("It is not allowed to shut off binlog on this command"),
 /* ER_CONSECUTIVE_REORG_PARTITIONS */
-gettext_noop("When reorganising a set of partitions they must be in consecutive order"),
+N_("When reorganising a set of partitions they must be in consecutive order"),
 /* ER_REORG_OUTSIDE_RANGE */
-gettext_noop("Reorganize of range partitions cannot change total ranges except for last partition where it can extend the range"),
+N_("Reorganize of range partitions cannot change total ranges except for last partition where it can extend the range"),
 /* ER_PARTITION_FUNCTION_FAILURE */
-gettext_noop("Partition function not supported in this version for this handler"),
+N_("Partition function not supported in this version for this handler"),
 /* ER_PART_STATE_ERROR */
-gettext_noop("Partition state cannot be defined from CREATE/ALTER TABLE"),
+N_("Partition state cannot be defined from CREATE/ALTER TABLE"),
 /* ER_LIMITED_PART_RANGE */
-gettext_noop("The %-.64s handler only supports 32 bit integers in VALUES"),
+N_("The %-.64s handler only supports 32 bit integers in VALUES"),
 /* ER_PLUGIN_IS_NOT_LOADED */
-gettext_noop("Plugin '%-.192s' is not loaded"),
+N_("Plugin '%-.192s' is not loaded"),
 /* ER_WRONG_VALUE */
-gettext_noop("Incorrect %-.32s value: '%-.128s'"),
+N_("Incorrect %-.32s value: '%-.128s'"),
 /* ER_NO_PARTITION_FOR_GIVEN_VALUE */
-gettext_noop("Table has no partition for value %-.64s"),
+N_("Table has no partition for value %-.64s"),
 /* ER_FILEGROUP_OPTION_ONLY_ONCE */
-gettext_noop("It is not allowed to specify %s more than once"),
+N_("It is not allowed to specify %s more than once"),
 /* ER_CREATE_FILEGROUP_FAILED */
-gettext_noop("Failed to create %s"),
+N_("Failed to create %s"),
 /* ER_DROP_FILEGROUP_FAILED */
-gettext_noop("Failed to drop %s"),
+N_("Failed to drop %s"),
 /* ER_TABLESPACE_AUTO_EXTEND_ERROR */
-gettext_noop("The handler doesn't support autoextend of tablespaces"),
+N_("The handler doesn't support autoextend of tablespaces"),
 /* ER_WRONG_SIZE_NUMBER */
-gettext_noop("A size parameter was incorrectly specified, either number or on the form 10M"),
+N_("A size parameter was incorrectly specified, either number or on the form 10M"),
 /* ER_SIZE_OVERFLOW_ERROR */
-gettext_noop("The size number was correct but we don't allow the digit part to be more than 2 billion"),
+N_("The size number was correct but we don't allow the digit part to be more than 2 billion"),
 /* ER_ALTER_FILEGROUP_FAILED */
-gettext_noop("Failed to alter: %s"),
+N_("Failed to alter: %s"),
 /* ER_BINLOG_ROW_LOGGING_FAILED */
-gettext_noop("Writing one row to the row-based binary log failed"),
+N_("Writing one row to the row-based binary log failed"),
 /* ER_BINLOG_ROW_WRONG_TABLE_DEF */
-gettext_noop("Table definition on master and slave does not match: %s"),
+N_("Table definition on master and slave does not match: %s"),
 /* ER_BINLOG_ROW_RBR_TO_SBR */
-gettext_noop("Slave running with --log-slave-updates must use row-based binary logging to be able to replicate row-based binary log events"),
+N_("Slave running with --log-slave-updates must use row-based binary logging to be able to replicate row-based binary log events"),
 /* ER_EVENT_ALREADY_EXISTS */
-gettext_noop("Event '%-.192s' already exists"),
+N_("Event '%-.192s' already exists"),
 /* ER_EVENT_STORE_FAILED */
-gettext_noop("Failed to store event %s. Error code %d from storage engine."),
+N_("Failed to store event %s. Error code %d from storage engine."),
 /* ER_EVENT_DOES_NOT_EXIST */
-gettext_noop("Unknown event '%-.192s'"),
+N_("Unknown event '%-.192s'"),
 /* ER_EVENT_CANT_ALTER */
-gettext_noop("Failed to alter event '%-.192s'"),
+N_("Failed to alter event '%-.192s'"),
 /* ER_EVENT_DROP_FAILED */
-gettext_noop("Failed to drop %s"),
+N_("Failed to drop %s"),
 /* ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG */
-gettext_noop("INTERVAL is either not positive or too big"),
+N_("INTERVAL is either not positive or too big"),
 /* ER_EVENT_ENDS_BEFORE_STARTS */
-gettext_noop("ENDS is either invalid or before STARTS"),
+N_("ENDS is either invalid or before STARTS"),
 /* ER_EVENT_EXEC_TIME_IN_THE_PAST */
-gettext_noop("Event execution time is in the past. Event has been disabled"),
+N_("Event execution time is in the past. Event has been disabled"),
 /* ER_EVENT_OPEN_TABLE_FAILED */
-gettext_noop("Failed to open mysql.event"),
+N_("Failed to open mysql.event"),
 /* ER_EVENT_NEITHER_M_EXPR_NOR_M_AT */
-gettext_noop("No datetime expression provided"),
+N_("No datetime expression provided"),
 /* ER_COL_COUNT_DOESNT_MATCH_CORRUPTED */
-gettext_noop("Column count of mysql.%s is wrong. Expected %d, found %d. The table is probably corrupted"),
+N_("Column count of mysql.%s is wrong. Expected %d, found %d. The table is probably corrupted"),
 /* ER_CANNOT_LOAD_FROM_TABLE */
-gettext_noop("Cannot load from mysql.%s. The table is probably corrupted"),
+N_("Cannot load from mysql.%s. The table is probably corrupted"),
 /* ER_EVENT_CANNOT_DELETE */
-gettext_noop("Failed to delete the event from mysql.event"),
+N_("Failed to delete the event from mysql.event"),
 /* ER_EVENT_COMPILE_ERROR */
-gettext_noop("Error during compilation of event's body"),
+N_("Error during compilation of event's body"),
 /* ER_EVENT_SAME_NAME */
-gettext_noop("Same old and new event name"),
+N_("Same old and new event name"),
 /* ER_EVENT_DATA_TOO_LONG */
-gettext_noop("Data for column '%s' too long"),
+N_("Data for column '%s' too long"),
 /* ER_DROP_INDEX_FK */
-gettext_noop("Cannot drop index '%-.192s': needed in a foreign key constraint"),
+N_("Cannot drop index '%-.192s': needed in a foreign key constraint"),
 /* ER_WARN_DEPRECATED_SYNTAX_WITH_VER   */
-gettext_noop("The syntax '%s' is deprecated and will be removed in MySQL %s. Please use %s instead"),
+N_("The syntax '%s' is deprecated and will be removed in MySQL %s. Please use %s instead"),
 /* ER_CANT_WRITE_LOCK_LOG_TABLE */
-gettext_noop("You can't write-lock a log table. Only read access is possible"),
+N_("You can't write-lock a log table. Only read access is possible"),
 /* ER_CANT_LOCK_LOG_TABLE */
-gettext_noop("You can't use locks with log tables."),
+N_("You can't use locks with log tables."),
 /* ER_FOREIGN_DUPLICATE_KEY 23000 S1009 */
-gettext_noop("Upholding foreign key constraints for table '%.192s', entry '%-.192s', key %d would lead to a duplicate entry"),
+N_("Upholding foreign key constraints for table '%.192s', entry '%-.192s', key %d would lead to a duplicate entry"),
 /* ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE */
-gettext_noop("Column count of mysql.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please use mysql_upgrade to fix this error."),
+N_("Column count of mysql.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please use mysql_upgrade to fix this error."),
 /* ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR */
-gettext_noop("Cannot switch out of the row-based binary log format when the session has open temporary tables"),
+N_("Cannot switch out of the row-based binary log format when the session has open temporary tables"),
 /* ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT */
-gettext_noop("Cannot change the binary logging format inside a stored function or trigger"),
+N_("Cannot change the binary logging format inside a stored function or trigger"),
 /* ER_NDB_CANT_SWITCH_BINLOG_FORMAT */
-gettext_noop("The NDB cluster engine does not support changing the binlog format on the fly yet"),
+N_("The NDB cluster engine does not support changing the binlog format on the fly yet"),
 /* ER_PARTITION_NO_TEMPORARY */
-gettext_noop("Cannot create temporary table with partitions"),
+N_("Cannot create temporary table with partitions"),
 /* ER_PARTITION_CONST_DOMAIN_ERROR */
-gettext_noop("Partition constant is out of partition function domain"),
+N_("Partition constant is out of partition function domain"),
 /* ER_PARTITION_FUNCTION_IS_NOT_ALLOWED */
-gettext_noop("This partition function is not allowed"),
+N_("This partition function is not allowed"),
 /* ER_DDL_LOG_ERROR */
-gettext_noop("Error in DDL log"),
+N_("Error in DDL log"),
 /* ER_NULL_IN_VALUES_LESS_THAN */
-gettext_noop("Not allowed to use NULL value in VALUES LESS THAN"),
+N_("Not allowed to use NULL value in VALUES LESS THAN"),
 /* ER_WRONG_PARTITION_NAME */
-gettext_noop("Incorrect partition name"),
+N_("Incorrect partition name"),
 /* ER_CANT_CHANGE_TX_ISOLATION 25001 */
-gettext_noop("Transaction isolation level can't be changed while a transaction is in progress"),
+N_("Transaction isolation level can't be changed while a transaction is in progress"),
 /* ER_DUP_ENTRY_AUTOINCREMENT_CASE */
-gettext_noop("ALTER TABLE causes auto_increment resequencing, resulting in duplicate entry '%-.192s' for key '%-.192s'"),
+N_("ALTER TABLE causes auto_increment resequencing, resulting in duplicate entry '%-.192s' for key '%-.192s'"),
 /* ER_EVENT_MODIFY_QUEUE_ERROR */
-gettext_noop("Internal scheduler error %d"),
+N_("Internal scheduler error %d"),
 /* ER_EVENT_SET_VAR_ERROR */
-gettext_noop("Error during starting/stopping of the scheduler. Error code %u"),
+N_("Error during starting/stopping of the scheduler. Error code %u"),
 /* ER_PARTITION_MERGE_ERROR */
-gettext_noop("Engine cannot be used in partitioned tables"),
+N_("Engine cannot be used in partitioned tables"),
 /* ER_CANT_ACTIVATE_LOG */
-gettext_noop("Cannot activate '%-.64s' log"),
+N_("Cannot activate '%-.64s' log"),
 /* ER_RBR_NOT_AVAILABLE */
-gettext_noop("The server was not built with row-based replication"),
+N_("The server was not built with row-based replication"),
 /* ER_BASE64_DECODE_ERROR */
-gettext_noop("Decoding of base64 string failed"),
+N_("Decoding of base64 string failed"),
 /* ER_EVENT_RECURSION_FORBIDDEN */
-gettext_noop("Recursion of EVENT DDL statements is forbidden when body is present"),
+N_("Recursion of EVENT DDL statements is forbidden when body is present"),
 /* ER_EVENTS_DB_ERROR */
-gettext_noop("Cannot proceed because system tables used by Event Scheduler were found damaged at server start"),
+N_("Cannot proceed because system tables used by Event Scheduler were found damaged at server start"),
 /* ER_ONLY_INTEGERS_ALLOWED */
-gettext_noop("Only integers allowed as number here"),
+N_("Only integers allowed as number here"),
 /* ER_UNSUPORTED_LOG_ENGINE */
-gettext_noop("This storage engine cannot be used for log tables"),
+N_("This storage engine cannot be used for log tables"),
 /* ER_BAD_LOG_STATEMENT */
-gettext_noop("You cannot '%s' a log table if logging is enabled"),
+N_("You cannot '%s' a log table if logging is enabled"),
 /* ER_CANT_RENAME_LOG_TABLE */
-gettext_noop("Cannot rename '%s'. When logging enabled, rename to/from log table must rename two tables: the log table to an archive table and another table back to '%s'"),
+N_("Cannot rename '%s'. When logging enabled, rename to/from log table must rename two tables: the log table to an archive table and another table back to '%s'"),
 /* ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT 42000 */
-gettext_noop("Incorrect parameter count in the call to native function '%-.192s'"),
+N_("Incorrect parameter count in the call to native function '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_NATIVE_FCT 42000 */
-gettext_noop("Incorrect parameters in the call to native function '%-.192s'"),
+N_("Incorrect parameters in the call to native function '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_STORED_FCT 42000   */
-gettext_noop("Incorrect parameters in the call to stored function '%-.192s'"),
+N_("Incorrect parameters in the call to stored function '%-.192s'"),
 /* ER_NATIVE_FCT_NAME_COLLISION */
-gettext_noop("This function '%-.192s' has the same name as a native function"),
+N_("This function '%-.192s' has the same name as a native function"),
 /* ER_DUP_ENTRY_WITH_KEY_NAME 23000 S1009 */
-gettext_noop("Duplicate entry '%-.64s' for key '%-.192s'"),
+N_("Duplicate entry '%-.64s' for key '%-.192s'"),
 /* ER_BINLOG_PURGE_EMFILE */
-gettext_noop("Too many files opened, please execute the command again"),
+N_("Too many files opened, please execute the command again"),
 /* ER_EVENT_CANNOT_CREATE_IN_THE_PAST */
-gettext_noop("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
+N_("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
 /* ER_EVENT_CANNOT_ALTER_IN_THE_PAST */
-gettext_noop("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
+N_("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
 /* ER_SLAVE_INCIDENT */
-gettext_noop("The incident %s occured on the master. Message: %-.64s"),
+N_("The incident %s occured on the master. Message: %-.64s"),
 /* ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT */
-gettext_noop("Table has no partition for some existing values"),
+N_("Table has no partition for some existing values"),
 /* ER_BINLOG_UNSAFE_STATEMENT */
-gettext_noop("Statement is not safe to log in statement format."),
+N_("Statement is not safe to log in statement format."),
 /* ER_SLAVE_FATAL_ERROR */
-gettext_noop("Fatal error: %s"),
+N_("Fatal error: %s"),
 /* ER_SLAVE_RELAY_LOG_READ_FAILURE */
-gettext_noop("Relay log read failure: %s"),
+N_("Relay log read failure: %s"),
 /* ER_SLAVE_RELAY_LOG_WRITE_FAILURE */
-gettext_noop("Relay log write failure: %s"),
+N_("Relay log write failure: %s"),
 /* ER_SLAVE_CREATE_EVENT_FAILURE */
-gettext_noop("Failed to create %s"),
+N_("Failed to create %s"),
 /* ER_SLAVE_MASTER_COM_FAILURE */
-gettext_noop("Master command %s failed: %s"),
+N_("Master command %s failed: %s"),
 /* ER_BINLOG_LOGGING_IMPOSSIBLE */
-gettext_noop("Binary logging not possible. Message: %s"),
+N_("Binary logging not possible. Message: %s"),
 /* ER_VIEW_NO_CREATION_CTX */
-gettext_noop("View `%-.64s`.`%-.64s` has no creation context"),
+N_("View `%-.64s`.`%-.64s` has no creation context"),
 /* ER_VIEW_INVALID_CREATION_CTX */
-gettext_noop("Creation context of view `%-.64s`.`%-.64s' is invalid"),
+N_("Creation context of view `%-.64s`.`%-.64s' is invalid"),
 /* ER_SR_INVALID_CREATION_CTX */
-gettext_noop("Creation context of stored routine `%-.64s`.`%-.64s` is invalid"),
+N_("Creation context of stored routine `%-.64s`.`%-.64s` is invalid"),
 /* ER_TRG_CORRUPTED_FILE */
-gettext_noop("Corrupted TRG file for table `%-.64s`.`%-.64s`"),
+N_("Corrupted TRG file for table `%-.64s`.`%-.64s`"),
 /* ER_TRG_NO_CREATION_CTX */
-gettext_noop("Triggers for table `%-.64s`.`%-.64s` have no creation context"),
+N_("Triggers for table `%-.64s`.`%-.64s` have no creation context"),
 /* ER_TRG_INVALID_CREATION_CTX */
-gettext_noop("Trigger creation context of table `%-.64s`.`%-.64s` is invalid"),
+N_("Trigger creation context of table `%-.64s`.`%-.64s` is invalid"),
 /* ER_EVENT_INVALID_CREATION_CTX */
-gettext_noop("Creation context of event `%-.64s`.`%-.64s` is invalid"),
+N_("Creation context of event `%-.64s`.`%-.64s` is invalid"),
 /* ER_TRG_CANT_OPEN_TABLE */
-gettext_noop("Cannot open table for trigger `%-.64s`.`%-.64s`"),
+N_("Cannot open table for trigger `%-.64s`.`%-.64s`"),
 /* ER_CANT_CREATE_SROUTINE */
-gettext_noop("Cannot create stored routine `%-.64s`. Check warnings"),
+N_("Cannot create stored routine `%-.64s`. Check warnings"),
 /* ER_SLAVE_AMBIGOUS_EXEC_MODE */
-gettext_noop("Ambiguous slave modes combination. %s"),
+N_("Ambiguous slave modes combination. %s"),
 /* ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT */
-gettext_noop("The BINLOG statement of type `%s` was not preceded by a format description BINLOG statement."),
+N_("The BINLOG statement of type `%s` was not preceded by a format description BINLOG statement."),
 /* ER_SLAVE_CORRUPT_EVENT */
-gettext_noop("Corrupted replication event was detected"),
+N_("Corrupted replication event was detected"),
 /* ER_LOAD_DATA_INVALID_COLUMN */
-gettext_noop("Invalid column reference (%-.64s) in LOAD DATA"),
+N_("Invalid column reference (%-.64s) in LOAD DATA"),
 /* ER_LOG_PURGE_NO_FILE   */
-gettext_noop("Being purged log %s was not found"),
+N_("Being purged log %s was not found"),
 /* ER_WARN_AUTO_CONVERT_LOCK */
-gettext_noop("Converted to non-transactional lock on '%-.64s'"),
+N_("Converted to non-transactional lock on '%-.64s'"),
 /* ER_NO_AUTO_CONVERT_LOCK_STRICT */
-gettext_noop("Cannot convert to non-transactional lock in strict mode on '%-.64s'"),
+N_("Cannot convert to non-transactional lock in strict mode on '%-.64s'"),
 /* ER_NO_AUTO_CONVERT_LOCK_TRANSACTION */
-gettext_noop("Cannot convert to non-transactional lock in an active transaction on '%-.64s'"),
+N_("Cannot convert to non-transactional lock in an active transaction on '%-.64s'"),
 /* ER_NO_STORAGE_ENGINE */
-gettext_noop("Can't access storage engine of table %-.64s"),
+N_("Can't access storage engine of table %-.64s"),
 /* ER_BACKUP_BACKUP_START */
-gettext_noop("Starting backup process"),
+N_("Starting backup process"),
 /* ER_BACKUP_BACKUP_DONE */
-gettext_noop("Backup completed"),
+N_("Backup completed"),
 /* ER_BACKUP_RESTORE_START */
-gettext_noop("Starting restore process"),
+N_("Starting restore process"),
 /* ER_BACKUP_RESTORE_DONE */
-gettext_noop("Restore completed"),
+N_("Restore completed"),
 /* ER_BACKUP_NOTHING_TO_BACKUP */
-gettext_noop("Nothing to backup"),
+N_("Nothing to backup"),
 /* ER_BACKUP_CANNOT_INCLUDE_DB */
-gettext_noop("Database '%-.64s' cannot be included in a backup"),
+N_("Database '%-.64s' cannot be included in a backup"),
 /* ER_BACKUP_BACKUP */
-gettext_noop("Error during backup operation - server's error log contains more information about the error"),
+N_("Error during backup operation - server's error log contains more information about the error"),
 /* ER_BACKUP_RESTORE */
-gettext_noop("Error during restore operation - server's error log contains more information about the error"),
+N_("Error during restore operation - server's error log contains more information about the error"),
 /* ER_BACKUP_RUNNING */
-gettext_noop("Can't execute this command because another BACKUP/RESTORE operation is in progress"),
+N_("Can't execute this command because another BACKUP/RESTORE operation is in progress"),
 /* ER_BACKUP_BACKUP_PREPARE */
-gettext_noop("Error when preparing for backup operation"),
+N_("Error when preparing for backup operation"),
 /* ER_BACKUP_RESTORE_PREPARE */
-gettext_noop("Error when preparing for restore operation"),
+N_("Error when preparing for restore operation"),
 /* ER_BACKUP_INVALID_LOC */
-gettext_noop("Invalid backup location '%-.64s'"),
+N_("Invalid backup location '%-.64s'"),
 /* ER_BACKUP_READ_LOC */
-gettext_noop("Can't read backup location '%-.64s'"),
+N_("Can't read backup location '%-.64s'"),
 /* ER_BACKUP_WRITE_LOC */
-gettext_noop("Can't write to backup location '%-.64s' (file already exists?)"),
+N_("Can't write to backup location '%-.64s' (file already exists?)"),
 /* ER_BACKUP_LIST_DBS */
-gettext_noop("Can't enumerate server databases"),
+N_("Can't enumerate server databases"),
 /* ER_BACKUP_LIST_TABLES */
-gettext_noop("Can't enumerate server tables"),
+N_("Can't enumerate server tables"),
 /* ER_BACKUP_LIST_DB_TABLES */
-gettext_noop("Can't enumerate tables in database %-.64s"),
+N_("Can't enumerate tables in database %-.64s"),
 /* ER_BACKUP_SKIP_VIEW */
-gettext_noop("Skipping view %-.64s in database %-.64s"),
+N_("Skipping view %-.64s in database %-.64s"),
 /* ER_BACKUP_NO_ENGINE */
-gettext_noop("Skipping table %-.64s since it has no valid storage engine"),
+N_("Skipping table %-.64s since it has no valid storage engine"),
 /* ER_BACKUP_TABLE_OPEN */
-gettext_noop("Can't open table %-.64s"),
+N_("Can't open table %-.64s"),
 /* ER_BACKUP_READ_HEADER */
-gettext_noop("Can't read backup archive preamble"),
+N_("Can't read backup archive preamble"),
 /* ER_BACKUP_WRITE_HEADER */
-gettext_noop("Can't write backup archive preamble"),
+N_("Can't write backup archive preamble"),
 /* ER_BACKUP_NO_BACKUP_DRIVER */
-gettext_noop("Can't find backup driver for table %-.64s"),
+N_("Can't find backup driver for table %-.64s"),
 /* ER_BACKUP_NOT_ACCEPTED */
-gettext_noop("%-.64s backup driver was selected for table %-.64s but it rejects to handle this table"),
+N_("%-.64s backup driver was selected for table %-.64s but it rejects to handle this table"),
 /* ER_BACKUP_CREATE_BACKUP_DRIVER */
-gettext_noop("Can't create %-.64s backup driver"),
+N_("Can't create %-.64s backup driver"),
 /* ER_BACKUP_CREATE_RESTORE_DRIVER */
-gettext_noop("Can't create %-.64s restore driver"),
+N_("Can't create %-.64s restore driver"),
 /* ER_BACKUP_TOO_MANY_IMAGES */
-gettext_noop("Found %d images in backup archive but maximum %d are supported"),
+N_("Found %d images in backup archive but maximum %d are supported"),
 /* ER_BACKUP_WRITE_META */
-gettext_noop("Error when saving meta-data of %-.64s"),
+N_("Error when saving meta-data of %-.64s"),
 /* ER_BACKUP_READ_META */
-gettext_noop("Error when reading meta-data list"),
+N_("Error when reading meta-data list"),
 /* ER_BACKUP_CREATE_META */
-gettext_noop("Can't create %-.64s"),
+N_("Can't create %-.64s"),
 /* ER_BACKUP_GET_BUF */
-gettext_noop("Can't allocate buffer for image data transfer"),
+N_("Can't allocate buffer for image data transfer"),
 /* ER_BACKUP_WRITE_DATA */
-gettext_noop("Error when writing %-.64s backup image data (for table #%d)"),
+N_("Error when writing %-.64s backup image data (for table #%d)"),
 /* ER_BACKUP_READ_DATA */
-gettext_noop("Error when reading data from backup stream"),
+N_("Error when reading data from backup stream"),
 /* ER_BACKUP_NEXT_CHUNK */
-gettext_noop("Can't go to the next chunk in backup stream"),
+N_("Can't go to the next chunk in backup stream"),
 /* ER_BACKUP_INIT_BACKUP_DRIVER */
-gettext_noop("Can't initialize %-.64s backup driver"),
+N_("Can't initialize %-.64s backup driver"),
 /* ER_BACKUP_INIT_RESTORE_DRIVER */
-gettext_noop("Can't initialize %-.64s restore driver"),
+N_("Can't initialize %-.64s restore driver"),
 /* ER_BACKUP_STOP_BACKUP_DRIVER */
-gettext_noop("Can't shut down %-.64s backup driver"),
+N_("Can't shut down %-.64s backup driver"),
 /* ER_BACKUP_STOP_RESTORE_DRIVERS */
-gettext_noop("Can't shut down %-.64s backup driver(s)"),
+N_("Can't shut down %-.64s backup driver(s)"),
 /* ER_BACKUP_PREPARE_DRIVER */
-gettext_noop("%-.64s backup driver can't prepare for synchronization"),
+N_("%-.64s backup driver can't prepare for synchronization"),
 /* ER_BACKUP_CREATE_VP */
-gettext_noop("%-.64s backup driver can't create its image validity point"),
+N_("%-.64s backup driver can't create its image validity point"),
 /* ER_BACKUP_UNLOCK_DRIVER */
-gettext_noop("Can't unlock %-.64s backup driver after creating the validity point"),
+N_("Can't unlock %-.64s backup driver after creating the validity point"),
 /* ER_BACKUP_CANCEL_BACKUP */
-gettext_noop("%-.64s backup driver can't cancel its backup operation"),
+N_("%-.64s backup driver can't cancel its backup operation"),
 /* ER_BACKUP_CANCEL_RESTORE */
-gettext_noop("%-.64s restore driver can't cancel its restore operation"),
+N_("%-.64s restore driver can't cancel its restore operation"),
 /* ER_BACKUP_GET_DATA */
-gettext_noop("Error when polling %-.64s backup driver for its image data"),
+N_("Error when polling %-.64s backup driver for its image data"),
 /* ER_BACKUP_SEND_DATA */
-gettext_noop("Error when sending image data (for table #%d) to %-.64s restore driver"),
+N_("Error when sending image data (for table #%d) to %-.64s restore driver"),
 /* ER_BACKUP_SEND_DATA_RETRY */
-gettext_noop("After %d attempts %-.64s restore driver still can't accept next block of data"),
+N_("After %d attempts %-.64s restore driver still can't accept next block of data"),
 /* ER_BACKUP_OPEN_TABLES */
-gettext_noop("Open and lock tables failed in %-.64s"),
+N_("Open and lock tables failed in %-.64s"),
 /* ER_BACKUP_THREAD_INIT */
-gettext_noop("Backup driver's table locking thread can not be initialized."),
+N_("Backup driver's table locking thread can not be initialized."),
 /* ER_BACKUP_PROGRESS_TABLES */
-gettext_noop("Can't open the online backup progress tables. Check 'mysql.online_backup' and 'mysql.online_backup_progress'."),
+N_("Can't open the online backup progress tables. Check 'mysql.online_backup' and 'mysql.online_backup_progress'."),
 /* ER_TABLESPACE_EXIST */
-gettext_noop("Tablespace '%-.192s' already exists"),
+N_("Tablespace '%-.192s' already exists"),
 /* ER_NO_SUCH_TABLESPACE */
-gettext_noop("Tablespace '%-.192s' doesn't exist"),
+N_("Tablespace '%-.192s' doesn't exist"),
 /* ER_SLAVE_HEARTBEAT_FAILURE */
-gettext_noop("Unexpected master's heartbeat data: %s"),
+N_("Unexpected master's heartbeat data: %s"),
 /* ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE */
-gettext_noop("The requested value for the heartbeat period %s %s"),
+N_("The requested value for the heartbeat period %s %s"),
 /* ER_BACKUP_LOG_WRITE_ERROR */
-gettext_noop("Can't write to the online backup progress log %-.64s."),
+N_("Can't write to the online backup progress log %-.64s."),
 /* ER_TABLESPACE_NOT_EMPTY */
-gettext_noop("Tablespace '%-.192s' not empty"),
+N_("Tablespace '%-.192s' not empty"),
 /* ER_BACKUP_TS_CHANGE */
-gettext_noop("Tablespace `%-.64s` needed by tables being restored has changed on the server. The original definition of the required tablespace is '%-.256s' while the same tablespace is defined on the server as '%-.256s'")
+N_("Tablespace `%-.64s` needed by tables being restored has changed on the server. The original definition of the required tablespace is '%-.256s' while the same tablespace is defined on the server as '%-.256s'")
 };
 
 #endif

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-08-04 08:36:15 +0000
+++ drizzled/slave.cc	2008-08-04 19:37:18 +0000
@@ -88,33 +88,33 @@
 static const char *reconnect_messages[SLAVE_RECON_ACT_MAX][SLAVE_RECON_MSG_MAX]=
 {
   {
-    gettext_noop("Waiting to reconnect after a failed registration on master"),
-    gettext_noop("Slave I/O thread killed while waitnig to reconnect after a "
+    N_("Waiting to reconnect after a failed registration on master"),
+    N_("Slave I/O thread killed while waitnig to reconnect after a "
                  "failed registration on master"),
-    gettext_noop("Reconnecting after a failed registration on master"),
-    gettext_noop("failed registering on master, reconnecting to try again, "
+    N_("Reconnecting after a failed registration on master"),
+    N_("failed registering on master, reconnecting to try again, "
                  "log '%s' at postion %s"),
     "COM_REGISTER_SLAVE",
-    gettext_noop("Slave I/O thread killed during or after reconnect")
+    N_("Slave I/O thread killed during or after reconnect")
   },
   {
-    gettext_noop("Waiting to reconnect after a failed binlog dump request"),
-    gettext_noop("Slave I/O thread killed while retrying master dump"),
-    gettext_noop("Reconnecting after a failed binlog dump request"),
-    gettext_noop("failed dump request, reconnecting to try again, "
+    N_("Waiting to reconnect after a failed binlog dump request"),
+    N_("Slave I/O thread killed while retrying master dump"),
+    N_("Reconnecting after a failed binlog dump request"),
+    N_("failed dump request, reconnecting to try again, "
                  "log '%s' at postion %s"),
     "COM_BINLOG_DUMP",
-    gettext_noop("Slave I/O thread killed during or after reconnect")
+    N_("Slave I/O thread killed during or after reconnect")
   },
   {
-    gettext_noop("Waiting to reconnect after a failed master event read"),
-    gettext_noop("Slave I/O thread killed while waiting to reconnect "
+    N_("Waiting to reconnect after a failed master event read"),
+    N_("Slave I/O thread killed while waiting to reconnect "
                  "after a failed read"),
-    gettext_noop("Reconnecting after a failed master event read"),
-    gettext_noop("Slave I/O thread: Failed reading log event, "
+    N_("Reconnecting after a failed master event read"),
+    N_("Slave I/O thread: Failed reading log event, "
                  "reconnecting to retry, log '%s' at postion %s"),
     "",
-    gettext_noop("Slave I/O thread killed during or after a "
+    N_("Slave I/O thread killed during or after a "
                  "reconnect done to recover from failed read")
   }
 };

=== modified file 'libdrizzle/gettext.h'
--- libdrizzle/gettext.h	2008-08-02 03:12:20 +0000
+++ libdrizzle/gettext.h	2008-08-04 19:37:18 +0000
@@ -270,4 +270,5 @@
 }
 
 #define _(String)  gettext(String)
+#define N_(String) gettext_noop(String)
 #endif /* _LIBGETTEXT_H */

=== modified file 'mysys/errors.c'
--- mysys/errors.c	2008-08-01 22:33:44 +0000
+++ mysys/errors.c	2008-08-04 19:37:18 +0000
@@ -22,33 +22,33 @@
 
 void init_glob_errs()
 {
-  EE(EE_CANTCREATEFILE) = gettext_noop("Can't create/write to file '%s' (Errcode: %d)");
-  EE(EE_READ)		= gettext_noop("Error reading file '%s' (Errcode: %d)");
-  EE(EE_WRITE)		= gettext_noop("Error writing file '%s' (Errcode: %d)");
-  EE(EE_BADCLOSE)	= gettext_noop("Error on close of '%'s (Errcode: %d)");
-  EE(EE_OUTOFMEMORY)	= gettext_noop("Out of memory (Needed %u bytes)");
-  EE(EE_DELETE)		= gettext_noop("Error on delete of '%s' (Errcode: %d)");
-  EE(EE_LINK)		= gettext_noop("Error on rename of '%s' to '%s' (Errcode: %d)");
-  EE(EE_EOFERR)		= gettext_noop("Unexpected eof found when reading file '%s' (Errcode: %d)");
-  EE(EE_CANTLOCK)	= gettext_noop("Can't lock file (Errcode: %d)");
-  EE(EE_CANTUNLOCK)	= gettext_noop("Can't unlock file (Errcode: %d)");
-  EE(EE_DIR)		= gettext_noop("Can't read dir of '%s' (Errcode: %d)");
-  EE(EE_STAT)		= gettext_noop("Can't get stat of '%s' (Errcode: %d)");
-  EE(EE_CANT_CHSIZE)	= gettext_noop("Can't change size of file (Errcode: %d)");
-  EE(EE_CANT_OPEN_STREAM)= gettext_noop("Can't open stream from handle (Errcode: %d)");
-  EE(EE_GETWD)		= gettext_noop("Can't get working dirctory (Errcode: %d)");
-  EE(EE_SETWD)		= gettext_noop("Can't change dir to '%s' (Errcode: %d)");
-  EE(EE_LINK_WARNING)	= gettext_noop("Warning: '%s' had %d links");
-  EE(EE_OPEN_WARNING)	= gettext_noop("Warning: %d files and %d streams is left open\n");
-  EE(EE_DISK_FULL)	= gettext_noop("Disk is full writing '%s'. Waiting for someone to free space...");
-  EE(EE_CANT_MKDIR)	= gettext_noop("Can't create directory '%s' (Errcode: %d)");
-  EE(EE_UNKNOWN_CHARSET)= gettext_noop("Character set '%s' is not a compiled character set and is not specified in the %s file");
-  EE(EE_OUT_OF_FILERESOURCES)= gettext_noop("Out of resources when opening file '%s' (Errcode: %d)");
-  EE(EE_CANT_READLINK)= gettext_noop("Can't read value for symlink '%s' (Error %d)");
-  EE(EE_CANT_SYMLINK)= gettext_noop("Can't create symlink '%s' pointing at '%s' (Error %d)");
-  EE(EE_REALPATH)= gettext_noop("Error on realpath() on '%s' (Error %d)");
-  EE(EE_SYNC)=	 gettext_noop("Can't sync file '%s' to disk (Errcode: %d)");
-  EE(EE_UNKNOWN_COLLATION)= gettext_noop("Collation '%s' is not a compiled collation and is not specified in the %s file");
-  EE(EE_FILENOTFOUND)	= gettext_noop("File '%s' not found (Errcode: %d)");
-  EE(EE_FILE_NOT_CLOSED) = gettext_noop("File '%s' (fileno: %d) was not closed");
+  EE(EE_CANTCREATEFILE) = N_("Can't create/write to file '%s' (Errcode: %d)");
+  EE(EE_READ)		= N_("Error reading file '%s' (Errcode: %d)");
+  EE(EE_WRITE)		= N_("Error writing file '%s' (Errcode: %d)");
+  EE(EE_BADCLOSE)	= N_("Error on close of '%'s (Errcode: %d)");
+  EE(EE_OUTOFMEMORY)	= N_("Out of memory (Needed %u bytes)");
+  EE(EE_DELETE)		= N_("Error on delete of '%s' (Errcode: %d)");
+  EE(EE_LINK)		= N_("Error on rename of '%s' to '%s' (Errcode: %d)");
+  EE(EE_EOFERR)		= N_("Unexpected eof found when reading file '%s' (Errcode: %d)");
+  EE(EE_CANTLOCK)	= N_("Can't lock file (Errcode: %d)");
+  EE(EE_CANTUNLOCK)	= N_("Can't unlock file (Errcode: %d)");
+  EE(EE_DIR)		= N_("Can't read dir of '%s' (Errcode: %d)");
+  EE(EE_STAT)		= N_("Can't get stat of '%s' (Errcode: %d)");
+  EE(EE_CANT_CHSIZE)	= N_("Can't change size of file (Errcode: %d)");
+  EE(EE_CANT_OPEN_STREAM)= N_("Can't open stream from handle (Errcode: %d)");
+  EE(EE_GETWD)		= N_("Can't get working dirctory (Errcode: %d)");
+  EE(EE_SETWD)		= N_("Can't change dir to '%s' (Errcode: %d)");
+  EE(EE_LINK_WARNING)	= N_("Warning: '%s' had %d links");
+  EE(EE_OPEN_WARNING)	= N_("Warning: %d files and %d streams is left open\n");
+  EE(EE_DISK_FULL)	= N_("Disk is full writing '%s'. Waiting for someone to free space...");
+  EE(EE_CANT_MKDIR)	= N_("Can't create directory '%s' (Errcode: %d)");
+  EE(EE_UNKNOWN_CHARSET)= N_("Character set '%s' is not a compiled character set and is not specified in the %s file");
+  EE(EE_OUT_OF_FILERESOURCES)= N_("Out of resources when opening file '%s' (Errcode: %d)");
+  EE(EE_CANT_READLINK)= N_("Can't read value for symlink '%s' (Error %d)");
+  EE(EE_CANT_SYMLINK)= N_("Can't create symlink '%s' pointing at '%s' (Error %d)");
+  EE(EE_REALPATH)= N_("Error on realpath() on '%s' (Error %d)");
+  EE(EE_SYNC)=	 N_("Can't sync file '%s' to disk (Errcode: %d)");
+  EE(EE_UNKNOWN_COLLATION)= N_("Collation '%s' is not a compiled collation and is not specified in the %s file");
+  EE(EE_FILENOTFOUND)	= N_("File '%s' not found (Errcode: %d)");
+  EE(EE_FILE_NOT_CLOSED) = N_("File '%s' (fileno: %d) was not closed");
 }

=== modified file 'mysys/my_handler_errors.h'
--- mysys/my_handler_errors.h	2008-08-01 22:33:44 +0000
+++ mysys/my_handler_errors.h	2008-08-04 19:37:18 +0000
@@ -7,126 +7,126 @@
 static const char *handler_error_messages[]=
 {
   /* HA_ERR_KEY_NOT_FOUND */
-  gettext_noop("Didn't find key on read or update"),
+  N_("Didn't find key on read or update"),
   /* HA_ERR_FOUND_DUPP_KEY */
-  gettext_noop("Duplicate key on write or update"),
+  N_("Duplicate key on write or update"),
   /* HA_ERR_INTERNAL_ERROR */
-  gettext_noop("Internal (unspecified) error in handler"),
+  N_("Internal (unspecified) error in handler"),
   /* HA_ERR_RECORD_CHANGED */
-  gettext_noop("Someone has changed the row since it was read (while the table was locked to prevent it)"),
+  N_("Someone has changed the row since it was read (while the table was locked to prevent it)"),
   /* HA_ERR_WRONG_INDEX */
-  gettext_noop("Wrong index given to function"),
+  N_("Wrong index given to function"),
   /* empty */
-  gettext_noop("Undefined handler error 125"),
+  N_("Undefined handler error 125"),
   /* HA_ERR_CRASHED */
-  gettext_noop("Index file is crashed"),
+  N_("Index file is crashed"),
   /* HA_ERR_WRONG_IN_RECORD */
-  gettext_noop("Record file is crashed"),
+  N_("Record file is crashed"),
   /* HA_ERR_OUT_OF_MEM */
-  gettext_noop("Out of memory in engine"),
+  N_("Out of memory in engine"),
   /* empty */
-  gettext_noop("Undefined handler error 129"),
+  N_("Undefined handler error 129"),
   /* HA_ERR_NOT_A_TABLE */
-  gettext_noop("Incorrect file format"),
+  N_("Incorrect file format"),
   /* HA_ERR_WRONG_COMMAND */
-  gettext_noop("Command not supported by database"),
+  N_("Command not supported by database"),
   /* HA_ERR_OLD_FILE */
-  gettext_noop("Old database file"),
+  N_("Old database file"),
   /* HA_ERR_NO_ACTIVE_RECORD */
-  gettext_noop("No record read before update"),
+  N_("No record read before update"),
   /* HA_ERR_RECORD_DELETED */
-  gettext_noop("Record was already deleted (or record file crashed)"),
+  N_("Record was already deleted (or record file crashed)"),
   /* HA_ERR_RECORD_FILE_FULL */
-  gettext_noop("No more room in record file"),
+  N_("No more room in record file"),
   /* HA_ERR_INDEX_FILE_FULL */
-  gettext_noop("No more room in index file"),
+  N_("No more room in index file"),
   /* HA_ERR_END_OF_FILE */
-  gettext_noop("No more records (read after end of file)"),
+  N_("No more records (read after end of file)"),
   /* HA_ERR_UNSUPPORTED */
-  gettext_noop("Unsupported extension used for table"),
+  N_("Unsupported extension used for table"),
   /* HA_ERR_TO_BIG_ROW */
-  gettext_noop("Too big row"),
+  N_("Too big row"),
   /* HA_WRONG_CREATE_OPTION */
-  gettext_noop("Wrong create options"),
+  N_("Wrong create options"),
   /* HA_ERR_FOUND_DUPP_UNIQUE */
-  gettext_noop("Duplicate unique key or constraint on write or update"),
+  N_("Duplicate unique key or constraint on write or update"),
   /* HA_ERR_UNKNOWN_CHARSET */
-  gettext_noop("Unknown character set used in table"),
+  N_("Unknown character set used in table"),
   /* HA_ERR_WRONG_MRG_TABLE_DEF */
-  gettext_noop("Conflicting table definitions in sub-tables of MERGE table"),
+  N_("Conflicting table definitions in sub-tables of MERGE table"),
   /* HA_ERR_CRASHED_ON_REPAIR */
-  gettext_noop("Table is crashed and last repair failed"),
+  N_("Table is crashed and last repair failed"),
   /* HA_ERR_CRASHED_ON_USAGE */
-  gettext_noop("Table was marked as crashed and should be repaired"),
+  N_("Table was marked as crashed and should be repaired"),
   /* HA_ERR_LOCK_WAIT_TIMEOUT */
-  gettext_noop("Lock timed out; Retry transaction"),
+  N_("Lock timed out; Retry transaction"),
   /* HA_ERR_LOCK_TABLE_FULL */
-  gettext_noop("Lock table is full;  Restart program with a larger locktable"),
+  N_("Lock table is full;  Restart program with a larger locktable"),
   /* HA_ERR_READ_ONLY_TRANSACTION */
-  gettext_noop("Updates are not allowed under a read only transactions"),
+  N_("Updates are not allowed under a read only transactions"),
   /* HA_ERR_LOCK_DEADLOCK */
-  gettext_noop("Lock deadlock; Retry transaction"),
+  N_("Lock deadlock; Retry transaction"),
   /* HA_ERR_CANNOT_ADD_FOREIGN */
-  gettext_noop("Foreign key constraint is incorrectly formed"),
+  N_("Foreign key constraint is incorrectly formed"),
   /* HA_ERR_NO_REFERENCED_ROW */
-  gettext_noop("Cannot add a child row"),
+  N_("Cannot add a child row"),
   /* HA_ERR_ROW_IS_REFERENCED */
-  gettext_noop("Cannot delete a parent row"),
+  N_("Cannot delete a parent row"),
   /* HA_ERR_NO_SAVEPOINT */
-  gettext_noop("No savepoint with that name"),
+  N_("No savepoint with that name"),
   /* HA_ERR_NON_UNIQUE_BLOCK_SIZE */
-  gettext_noop("Non unique key block size"),
+  N_("Non unique key block size"),
   /* HA_ERR_NO_SUCH_TABLE */
-  gettext_noop("The table does not exist in engine"),
+  N_("The table does not exist in engine"),
   /* HA_ERR_TABLE_EXIST */
-  gettext_noop("The table already existed in storage engine"),
+  N_("The table already existed in storage engine"),
   /* HA_ERR_NO_CONNECTION */
-  gettext_noop("Could not connect to storage engine"),
+  N_("Could not connect to storage engine"),
   /* HA_ERR_NULL_IN_SPATIAL */
-  gettext_noop("Unexpected null pointer found when using spatial index"),
+  N_("Unexpected null pointer found when using spatial index"),
   /* HA_ERR_TABLE_DEF_CHANGED */
-  gettext_noop("The table changed in storage engine"),
+  N_("The table changed in storage engine"),
   /* HA_ERR_NO_PARTITION_FOUND */
-  gettext_noop("There's no partition in table for the given value"),
+  N_("There's no partition in table for the given value"),
   /* HA_ERR_RBR_LOGGING_FAILED */
-  gettext_noop("Row-based binlogging of row failed"),
+  N_("Row-based binlogging of row failed"),
   /* HA_ERR_DROP_INDEX_FK */
-  gettext_noop("Index needed in foreign key constraint"),
+  N_("Index needed in foreign key constraint"),
   /* HA_ERR_FOREIGN_DUPLICATE_KEY */
-  gettext_noop("Upholding foreign key constraints would lead to a duplicate key error"),
+  N_("Upholding foreign key constraints would lead to a duplicate key error"),
   /* HA_ERR_TABLE_NEEDS_UPGRADE */
-  gettext_noop("Table needs to be upgraded before it can be used"),
+  N_("Table needs to be upgraded before it can be used"),
   /* HA_ERR_TABLE_READONLY */
-  gettext_noop("Table is read only"),
+  N_("Table is read only"),
   /* HA_ERR_AUTOINC_READ_FAILED */
-  gettext_noop("Failed to get next auto increment value"),
+  N_("Failed to get next auto increment value"),
   /* HA_ERR_AUTOINC_ERANGE */
-  gettext_noop("Failed to set row auto increment value"),
+  N_("Failed to set row auto increment value"),
   /* HA_ERR_GENERIC */
-  gettext_noop("Unknown (generic) error from engine"),
+  N_("Unknown (generic) error from engine"),
   /* HA_ERR_RECORD_IS_THE_SAME */
-  gettext_noop("Record is the same"),
+  N_("Record is the same"),
   /* HA_ERR_LOGGING_IMPOSSIBLE */
-  gettext_noop("It is not possible to log this statement"),
+  N_("It is not possible to log this statement"),
   /* HA_ERR_TABLESPACE_EXIST */
-  gettext_noop("Tablespace exists"),
+  N_("Tablespace exists"),
   /* HA_ERR_CORRUPT_EVENT */
-  gettext_noop("The event was corrupt, leading to illegal data being read"),
+  N_("The event was corrupt, leading to illegal data being read"),
   /* HA_ERR_NEW_FILE */
-  gettext_noop("The table is of a new format not supported by this version"),
+  N_("The table is of a new format not supported by this version"),
   /* HA_ERR_ROWS_EVENT_APPLY */
-  gettext_noop("The event could not be processed no other hanlder error happened"),
+  N_("The event could not be processed no other hanlder error happened"),
   /* HA_ERR_INITIALIZATION */
-  gettext_noop("Got a fatal error during initialzaction of handler"),
+  N_("Got a fatal error during initialzaction of handler"),
   /* HA_ERR_FILE_TOO_SHORT */
-  gettext_noop("File to short; Expected more data in file"),
+  N_("File to short; Expected more data in file"),
   /* HA_ERR_WRONG_CRC */
-  gettext_noop("Read page with wrong checksum"),
+  N_("Read page with wrong checksum"),
   /* HA_ERR_LOCK_OR_ACTIVE_TRANSACTION */
-  gettext_noop("Lock or active transaction"), /* TODO: get a better message */
+  N_("Lock or active transaction"), /* TODO: get a better message */
   /* HA_ERR_NO_SUCH_TABLESPACE */
-  gettext_noop("No such table space"), /* TODO: get a better message */
+  N_("No such table space"), /* TODO: get a better message */
   /* HA_ERR_TABLESPACE_NOT_EMPTY */
-  gettext_noop("Tablespace not empty") /* TODO: get a better message */
+  N_("Tablespace not empty") /* TODO: get a better message */
 };
 

